var('A B a b b1 c c1 k l m n r s x ')
lst=[["1/(-b^2*x^2+a^2)",x,1,"arctanh(b*x/a)/a/b"],
["1/(b^2*x^2+a^2)",x,1,"arctan(b*x/a)/a/b"],
["sec(2*a*x)",x,1,"1/2*arctanh(sin(2*a*x))/a"],
["1/4/sin(1/3*x)",x,2,"-3/4*arctanh(cos(1/3*x))"],
["-1/cos(1/4*pi+2*x)",x,1,"-1/2*arctanh(sin(1/4*pi+2*x))"],
["sec(x)*tan(x)",x,2,"sec(x)"],
["cot(x)*csc(x)",x,2,"-csc(x)"],
["tan(x)/sin(2*x)",x,2,"1/2*tan(x)"],
["1/(1+cos(x))",x,1,"sin(x)/(1+cos(x))"],
["1/(1-cos(x))",x,1,"-sin(x)/(1-cos(x))"],
["sin(x)/(a-b*cos(x))",x,2,"log(a-b*cos(x))/b"],
["cos(x)/(a^2+b^2*sin(x)^2)",x,2,"arctan(b*sin(x)/a)/a/b"],
["cos(x)/(a^2-b^2*sin(x)^2)",x,2,"arctanh(b*sin(x)/a)/a/b"],
["sin(2*x)/(a^2+b^2*sin(x)^2)",x,3,"log(a^2+b^2*sin(x)^2)/b^2"],
["sin(2*x)/(a^2-b^2*sin(x)^2)",x,3,"-log(a^2-b^2*sin(x)^2)/b^2"],
["sin(2*x)/(a^2+b^2*cos(x)^2)",x,3,"-log(a^2+b^2*cos(x)^2)/b^2"],
["sin(2*x)/(a^2-b^2*cos(x)^2)",x,3,"log(a^2-b^2*cos(x)^2)/b^2"],
["1/(4-cos(x)^2)",x,2,"1/6*x*3^(1/2)+1/6*arctan(cos(x)*sin(x)/(3+sin(x)^2+2*3^(1/2)))*3^(1/2)"],
["exp(x)/(-1+exp(2*x))",x,2,"-arctanh(exp(x))"],
["1/x/log(x)",x,2,"log(log(x))"],
["1/x/(1+log(x)^2)",x,2,"arctan(log(x))"],
["1/x/(1-log(x))",x,2,"-log(1-log(x))"],
["1/x/(1+log(x/a))",x,2,"log(1+log(x/a))"],
["(1+x-x^(1/2))^2/x^2",x,3,"-1/x+x+3*log(x)+4/x^(1/2)-4*x^(1/2)"],
["(2-x^(2/3))*(x+x^(1/2))/x^(3/2)",x,4,"-3/2*x^(2/3)-6/7*x^(7/6)+2*log(x)+4*x^(1/2)"],
["(-1+2*x)/(3+2*x)",x,2,"x-2*log(3+2*x)"],
["(-5+2*x)/(3*x^2-2)",x,3,"1/12*log(-3*x+6^(1/2))*(4-5*6^(1/2))+1/12*log(3*x+6^(1/2))*(4+5*6^(1/2))"],
["(-5+2*x)/(3*x^2+2)",x,3,"1/3*log(3*x^2+2)-5/6*arctan(1/2*x*6^(1/2))*6^(1/2)"],
["sin(1/4*x)*sin(x)",x,1,"2/3*sin(3/4*x)-2/5*sin(5/4*x)"],
["cos(3*x)*cos(4*x)",x,1,"1/2*sin(x)+1/14*sin(7*x)"],
["-tan(x)*tan(a-x)",x,4,"-x-cot(a)*log(cos(x))+cot(a)*log(cos(a-x))"],
["sin(x)^2",x,2,"1/2*x-1/2*cos(x)*sin(x)"],
["cos(x)^2",x,2,"1/2*x+1/2*cos(x)*sin(x)"],
["cos(x)^3*sin(x)",x,2,"-1/4*cos(x)^4"],
["cos(x)^3/sin(x)^4",x,2,"-1/3/sin(x)^3+1/sin(x)"],
["1/cos(x)^2/sin(x)^2",x,3,"-cot(x)+tan(x)"],
["cot(3/4*x)^2",x,2,"-x-4/3*cot(3/4*x)"],
["(1+tan(2*x))^2",x,2,"-log(cos(2*x))+1/2*tan(2*x)"],
["(-cot(x)+tan(x))^2",x,4,"-4*x-cot(x)+tan(x)"],
["(-sec(x)+tan(x))^2",x,4,"-x-2*cos(x)/(1+sin(x))"],
["sin(x)/(1+sin(x))",x,2,"x+cos(x)/(1+sin(x))"],
["cos(x)/(1-cos(x))",x,2,"-x-sin(x)/(1-cos(x))"],
["(-1+exp(1/2*x))^3/exp(1/2*x)",x,3,"2/exp(1/2*x)-6*exp(1/2*x)+exp(x)+3*x"],
["1/(x^2-6*x+5)",x,3,"-1/4*log(1-x)+1/4*log(5-x)"],
["x^2/(x^6-6*x^3+13)",x,3,"1/6*arctan(1/2*x^3-3/2)"],
["(2+x)/(x^2-4*x-1)",x,3,"1/10*log(2-x-5^(1/2))*(5-4*5^(1/2))+1/10*log(2-x+5^(1/2))*(5+4*5^(1/2))"],
["1/(1+(1+x)^(1/3))",x,4,"-3*(1+x)^(1/3)+3/2*(1+x)^(2/3)+3*log(1+(1+x)^(1/3))"],
["1/(a*x+b)/x^(1/2)",x,2,"2*arctan(a^(1/2)*x^(1/2)/b^(1/2))/a^(1/2)/b^(1/2)"],
["x^3*(x^2+1)^(1/2)",x,3,"-1/3*(x^2+1)^(3/2)+1/5*(x^2+1)^(5/2)"],
["x/(a^4-x^4)^(1/2)",x,3,"1/2*arctan(x^2/(a^4-x^4)^(1/2))"],
["1/x/(-a^2+x^2)^(1/2)",x,3,"arctan((-a^2+x^2)^(1/2)/a)/a"],
["1/x/(a^2-x^2)^(1/2)",x,3,"-arctanh((a^2-x^2)^(1/2)/a)/a"],
["1/x/(a^2+x^2)^(1/2)",x,3,"-arctanh((a^2+x^2)^(1/2)/a)/a"],
["1/(-x^2+x+2)^(1/2)",x,2,"arcsin(-1/3+2/3*x)"],
["1/(3*x^2-4*x+5)^(1/2)",x,2,"-1/3*arcsinh(1/11*(2-3*x)*11^(1/2))*3^(1/2)"],
["1/(-x^2+x)^(1/2)",x,2,"arcsin(-1+2*x)"],
["(1+2*x)/(-x^2+x+2)^(1/2)",x,3,"2*arcsin(-1/3+2/3*x)-2*(-x^2+x+2)^(1/2)"],
["1/x/(-x^2+x+2)^(1/2)",x,2,"-1/2*arctanh(1/4*(4+x)*2^(1/2)/(-x^2+x+2)^(1/2))*2^(1/2)"],
["1/(-2+x)/(-x^2+x+2)^(1/2)",x,1,"2/3*(-x^2+x+2)^(1/2)/(-2+x)"],
["(2+3*sin(x))/(1-cos(x))/sin(x)",x,7,"-arctanh(cos(x))-1/(1-cos(x))-3*sin(x)/(1-cos(x))"],
["1/(2+3*cos(x)^2)",x,2,"1/10*x*10^(1/2)-1/10*arctan(3*cos(x)*sin(x)/(2+3*cos(x)^2+10^(1/2)))*10^(1/2)"],
["(1-tan(x))/sin(2*x)",x,3,"1/2*log(tan(x))-1/2*tan(x)"],
["(1+tan(x)^2)/(1-tan(x)^2)",x,2,"1/2*arctanh(2*cos(x)*sin(x))"],
["(a^2-4*cos(x)^2)^(3/4)*sin(2*x)",x,3,"1/7*(a^2-4*cos(x)^2)^(7/4)"],
["sin(2*x)/(a^2-4*sin(x)^2)^(1/3)",x,3,"-3/8*(a^2-4*sin(x)^2)^(2/3)"],
["1/(-1+a^(2*x))^(1/2)",x,3,"arctan((-1+a^(2*x))^(1/2))/log(a)"],
["exp(1/2*x)/(-1+exp(x))^(1/2)",x,3,"2*arctanh(exp(1/2*x)/(-1+exp(x))^(1/2))"],
["arctan(x)^n/(x^2+1)",x,1,"arctan(x)^(1+n)/(1+n)"],
["arcsin(x/a)^(3/2)/(a^2-x^2)^(1/2)",x,1,"2/5*a*arcsin(x/a)^(5/2)*(1-x^2/a^2)^(1/2)/(a^2-x^2)^(1/2)"],
["1/arccos(x)^3/(-x^2+1)^(1/2)",x,1,"1/2/arccos(x)^2"],
["x*log(x)^2",x,2,"1/4*x^2-1/2*x^2*log(x)+1/2*x^2*log(x)^2"],
["log(x)/x^5",x,1,"-1/16/x^4-1/4*log(x)/x^4"],
["x^2*log((-1+x)/x)",x,5,"-1/3*x-1/6*x^2-1/3*log(-1+x)+1/3*x^3*log((-1+x)/x)"],
["cos(x)^5",x,2,"sin(x)-2/3*sin(x)^3+1/5*sin(x)^5"],
["cos(x)^4*sin(x)^2",x,4,"1/16*x+1/16*cos(x)*sin(x)+1/24*cos(x)^3*sin(x)-1/6*cos(x)^5*sin(x)"],
["1/sin(x)^5",x,3,"-3/8*arctanh(cos(x))-3/8*cot(x)*csc(x)-1/4*cot(x)*csc(x)^3"],
["sin(x)/exp(x)",x,1,"-1/2*cos(x)/exp(x)-1/2*sin(x)/exp(x)"],
["exp(2*x)*sin(3*x)",x,1,"-3/13*exp(2*x)*cos(3*x)+2/13*exp(2*x)*sin(3*x)"],
["a^x*cos(x)",x,1,"a^x*cos(x)*log(a)/(1+log(a)^2)+a^x*sin(x)/(1+log(a)^2)"],
["cos(log(x))",x,1,"1/2*x*cos(log(x))+1/2*x*sin(log(x))"],
["log(cos(x))*sec(x)^2",x,3,"-x+tan(x)+log(cos(x))*tan(x)"],
["x*tan(x)^2",x,3,"-1/2*x^2+log(cos(x))+x*tan(x)"],
["arcsin(x)/x^2",x,4,"-arcsin(x)/x-arctanh((-x^2+1)^(1/2))"],
["arcsin(x)^2",x,3,"-2*x+x*arcsin(x)^2+2*arcsin(x)*(-x^2+1)^(1/2)"],
["x^2*arctan(x)/(x^2+1)",x,4,"x*arctan(x)-1/2*arctan(x)^2-1/2*log(x^2+1)"],
["arccos((x/(1+x))^(1/2))",x,6,"(1+x)*(arccos((x/(1+x))^(1/2))+(1/(1+x))^(1/2)*(x/(1+x))^(1/2))"],
["(3*x^2+2*x)^3",x,2,"2*x^4+36/5*x^5+9*x^6+27/7*x^7"],
["(-1+x)*(3*x^2+2*x-1)^2",x,2,"-x+5/2*x^2-2/3*x^3-7/2*x^4+3/5*x^5+3/2*x^6"],
["x^(-1+k)*(a+b*x^k)^n",x,1,"(a+b*x^k)^(1+n)/b/k/(1+n)"],
["x^3/(1+2*x)",x,2,"1/8*x-1/8*x^2+1/6*x^3-1/16*log(1+2*x)"],
["x^6/(3*x^2+2)",x,3,"4/27*x-2/27*x^3+1/15*x^5-4/81*arctan(1/2*x*6^(1/2))*6^(1/2)"],
["1/(3*x^2-7*x+2)",x,3,"-1/5*log(1-3*x)+1/5*log(2-x)"],
["(-1+3*x)/(x^2-x+1)",x,4,"3/2*log(x^2-x+1)-1/3*arctan(1/3*(1-2*x)*3^(1/2))*3^(1/2)"],
["x^2/(x^2+2*x+5)",x,5,"x-3/2*arctan(1/2+1/2*x)-log(x^2+2*x+5)"],
["(6*x^4-5*x^3+4*x^2)/(2*x^2-x+1)",x,7,"-1/2*x^2+x^3+1/4*log(2*x^2-x+1)-1/14*arctan(1/7*(1-4*x)*7^(1/2))*7^(1/2)"],
["(x^2+x-1)/(x^3+x^2-6*x)",x,3,"1/2*log(2-x)+1/6*log(x)+1/3*log(3+x)"],
["(11*a^2-7*a*x+5*x^2)/(-6*a^3+11*a^2*x-6*a*x^2+x^3)",x,2,"9/2*log(a-x)-17*log(2*a-x)+35/2*log(3*a-x)"],
["(x^2-x+2)/(x^4-5*x^2+4)",x,12,"-1/3*log(1-x)+1/3*log(2-x)+2/3*log(1+x)-2/3*log(2+x)"],
["(2*x^2-5)/(x^4-5*x^2+6)",x,3,"-1/2*arctanh(1/2*x*2^(1/2))*2^(1/2)-1/3*arctanh(1/3*x*3^(1/2))*3^(1/2)"],
["1/(-4+x)/(-3+x)/(-2+x)/(-1+x)",x,2,"-1/6*log(1-x)+1/2*log(2-x)-1/2*log(3-x)+1/6*log(4-x)"],
["(x^2+1)/(-1+x)^3",x,2,"-1/(1-x)^2+2/(1-x)+log(1-x)"],
["x^5/(3+x)^2",x,2,"-108*x+27/2*x^2-2*x^3+1/4*x^4+243/(3+x)+405*log(3+x)"],
["(5*x^3-2)/(x^4-8*x^3+18*x^2-27)",x,2,"-133/8/(3-x)^2+407/16/(3-x)+313/64*log(3-x)+7/64*log(1+x)"],
["(x^3-6*x^2+3*x-9)/(3+x)^2/(4+x)^2",x,2,"99/(3+x)+181/(4+x)+264*log(3+x)-263*log(4+x)"],
["(x^3+x^2+2)/x/(x^2-1)^2",x,3,"1/2*(3+x)/(-x^2+1)-3/4*log(1-x)+2*log(x)-5/4*log(1+x)"],
["1/(x^6-x^5-x^4+x^3)",x,2,"1/2/(1-x)-1/2/x^2-1/x-7/4*log(1-x)+2*log(x)-1/4*log(1+x)"],
["(x^4+1)/(x^3-x^2+x-1)",x,5,"x+1/2*x^2-arctan(x)+log(1-x)-1/2*log(x^2+1)"],
["1/x/(1+x)/(x^2+1)",x,5,"-1/2*arctan(x)+log(x)-1/2*log(1+x)-1/4*log(x^2+1)"],
["x^2/(x^4+x^2-2)",x,3,"-1/3*arctanh(x)+1/3*arctan(1/2*x*2^(1/2))*2^(1/2)"],
["(x^3+4*x^2+6*x)/(x^4+2*x^3+3*x^2+4*x+2)",x,6,"1/(1+x)-1/3*log(1+x)+2/3*log(x^2+2)+4/3*arctan(1/2*x*2^(1/2))*2^(1/2)"],
["x/(1+x)/(1+2*x)^2/(x^2+1)",x,5,"2/5/(1+2*x)+1/50*arctan(x)-1/2*log(1+x)+16/25*log(1+2*x)-7/100*log(x^2+1)"],
["(3*x^2+x-2)/(-1+x)^3/(x^2+1)",x,5,"-1/2/(1-x)^2+5/2/(1-x)-arctan(x)-3/2*log(1-x)+3/4*log(x^2+1)"],
["1/(x^4+x^2+1)",x,9,"-1/4*log(x^2-x+1)+1/4*log(x^2+x+1)-1/6*arctan(1/3*(1-2*x)*3^(1/2))*3^(1/2)+1/6*arctan(1/3*(1+2*x)*3^(1/2))*3^(1/2)"],
["(2*x^3+3)/(x^5-9*x)",x,10,"-1/3*log(x)+1/12*log(-x^4+9)+1/3*arctan(1/3*x*3^(1/2))*3^(1/2)-1/3*arctanh(1/3*x*3^(1/2))*3^(1/2)"],
["(5*x^3+8*x-20)/(-4+x)^3/(x^2-4*x+8)",x,6,"-83/4/(4-x)^2+41/4/(4-x)+3/16*arctan(-1+1/2*x)-45/16*log(4-x)+45/32*log(x^2-4*x+8)"],
["1/(x^2+1)/(x^2+2)/(x^2+3)/(x^2+4)",x,6,"-1/12*arctan(1/2*x)+1/6*arctan(x)-1/4*arctan(1/2*x*2^(1/2))*2^(1/2)+1/6*arctan(1/3*x*3^(1/2))*3^(1/2)"],
["x/(x^2+1)/(x^2+2)/(x^2+3)/(x^2+4)",x,3,"1/12*log(x^2+1)-1/4*log(x^2+2)+1/4*log(x^2+3)-1/12*log(x^2+4)"],
["1/(a^3+x^3)",x,6,"1/3*log(a+x)/a^2-1/6*log(a^2-a*x+x^2)/a^2-1/3*arctan(1/3*(a-2*x)/a*3^(1/2))/a^2*3^(1/2)"],
["x/(a^3+x^3)",x,6,"-1/3*log(a+x)/a+1/6*log(a^2-a*x+x^2)/a-1/3*arctan(1/3*(a-2*x)/a*3^(1/2))/a*3^(1/2)"],
["x^2/(a^3+x^3)",x,1,"1/3*log(a^3+x^3)"],
["1/x/(a^3+x^3)",x,4,"log(x)/a^3-1/3*log(a^3+x^3)/a^3"],
["1/x^2/(a^3+x^3)",x,7,"-1/a^3/x+1/3*log(a+x)/a^4-1/6*log(a^2-a*x+x^2)/a^4+1/3*arctan(1/3*(a-2*x)/a*3^(1/2))/a^4*3^(1/2)"],
["1/x^3/(a^3+x^3)",x,7,"-1/2/a^3/x^2-1/3*log(a+x)/a^5+1/6*log(a^2-a*x+x^2)/a^5+1/3*arctan(1/3*(a-2*x)/a*3^(1/2))/a^5*3^(1/2)"],
["1/x^4/(a^3+x^3)",x,3,"-1/3/a^3/x^3-log(x)/a^6+1/3*log(a^3+x^3)/a^6"],
["1/x^5/(a^3+x^3)",x,8,"-1/4/a^3/x^4+1/a^6/x-1/3*log(a+x)/a^7+1/6*log(a^2-a*x+x^2)/a^7-1/3*arctan(1/3*(a-2*x)/a*3^(1/2))/a^7*3^(1/2)"],
["1/(x^m)/(a^3+x^3)",x,1,"x^(1-m)*hypergeometric([1, 1/3-1/3*m],[4/3-1/3*m],-x^3/a^3)/a^3/(1-m)"],
["1/(a^4-x^4)",x,3,"1/2*arctan(x/a)/a^3+1/2*arctanh(x/a)/a^3"],
["x/(a^4-x^4)",x,2,"1/2*arctanh(x^2/a^2)/a^2"],
["1/x/(a^4-x^4)",x,4,"log(x)/a^4-1/4*log(a^4-x^4)/a^4"],
["1/x^2/(a^4-x^4)",x,4,"-1/a^4/x-1/2*arctan(x/a)/a^5+1/2*arctanh(x/a)/a^5"],
["1/x^3/(a^4-x^4)",x,3,"-1/2/a^4/x^2+1/2*arctanh(x^2/a^2)/a^6"],
["1/x^4/(a^4-x^4)",x,4,"-1/3/a^4/x^3+1/2*arctan(x/a)/a^7+1/2*arctanh(x/a)/a^7"],
["1/(x^m)/(a^4-x^4)",x,1,"x^(1-m)*hypergeometric([1, 1/4-1/4*m],[5/4-1/4*m],x^4/a^4)/a^4/(1-m)"],
["x/(a^4+x^4)",x,2,"1/2*arctan(x^2/a^2)/a^2"],
["x^2/(a^4+x^4)",x,9,"-1/4*arctan(1-x*2^(1/2)/a)/a*2^(1/2)+1/4*arctan(1+x*2^(1/2)/a)/a*2^(1/2)+1/8*log(a^2+x^2-a*x*2^(1/2))/a*2^(1/2)-1/8*log(a^2+x^2+a*x*2^(1/2))/a*2^(1/2)"],
["1/(a^5+x^5)",x,6,"1/5*log(a+x)/a^4-1/20*log(a^2+x^2-1/2*a*x*(-5^(1/2)+1))*(-5^(1/2)+1)/a^4-1/20*log(a^2+x^2-1/2*a*x*(5^(1/2)+1))*(5^(1/2)+1)/a^4-1/10*arctan(1/20*(-4*x+a*(5^(1/2)+1))*(50+10*5^(1/2))^(1/2)/a)*(10-2*5^(1/2))^(1/2)/a^4-1/10*arctan((-4*x+a*(-5^(1/2)+1))/a/(10+2*5^(1/2))^(1/2))*(10+2*5^(1/2))^(1/2)/a^4"],
["x/(a^5+x^5)",x,6,"-1/5*log(a+x)/a^3+1/20*log(a^2+x^2-1/2*a*x*(5^(1/2)+1))*(-5^(1/2)+1)/a^3+1/20*log(a^2+x^2-1/2*a*x*(-5^(1/2)+1))*(5^(1/2)+1)/a^3+1/10*arctan((-4*x+a*(-5^(1/2)+1))/a/(10+2*5^(1/2))^(1/2))*(10-2*5^(1/2))^(1/2)/a^3-1/10*arctan(1/20*(-4*x+a*(5^(1/2)+1))*(50+10*5^(1/2))^(1/2)/a)*(10+2*5^(1/2))^(1/2)/a^3"],
["x^2/(a^5+x^5)",x,6,"1/5*log(a+x)/a^2-1/20*log(a^2+x^2-1/2*a*x*(5^(1/2)+1))*(-5^(1/2)+1)/a^2-1/20*log(a^2+x^2-1/2*a*x*(-5^(1/2)+1))*(5^(1/2)+1)/a^2+1/10*arctan((-4*x+a*(-5^(1/2)+1))/a/(10+2*5^(1/2))^(1/2))*(10-2*5^(1/2))^(1/2)/a^2-1/10*arctan(1/20*(-4*x+a*(5^(1/2)+1))*(50+10*5^(1/2))^(1/2)/a)*(10+2*5^(1/2))^(1/2)/a^2"],
["x^3/(a^5+x^5)",x,6,"-1/5*log(a+x)/a+1/20*log(a^2+x^2-1/2*a*x*(-5^(1/2)+1))*(-5^(1/2)+1)/a+1/20*log(a^2+x^2-1/2*a*x*(5^(1/2)+1))*(5^(1/2)+1)/a-1/10*arctan(1/20*(-4*x+a*(5^(1/2)+1))*(50+10*5^(1/2))^(1/2)/a)*(10-2*5^(1/2))^(1/2)/a-1/10*arctan((-4*x+a*(-5^(1/2)+1))/a/(10+2*5^(1/2))^(1/2))*(10+2*5^(1/2))^(1/2)/a"],
["x^4/(a^5+x^5)",x,1,"1/5*log(a^5+x^5)"],
["1/x/(a^5+x^5)",x,4,"log(x)/a^5-1/5*log(a^5+x^5)/a^5"],
["1/x^2/(a^5+x^5)",x,7,"-1/a^5/x+1/5*log(a+x)/a^6-1/20*log(a^2+x^2-1/2*a*x*(-5^(1/2)+1))*(-5^(1/2)+1)/a^6-1/20*log(a^2+x^2-1/2*a*x*(5^(1/2)+1))*(5^(1/2)+1)/a^6+1/10*arctan(1/20*(-4*x+a*(5^(1/2)+1))*(50+10*5^(1/2))^(1/2)/a)*(10-2*5^(1/2))^(1/2)/a^6+1/10*arctan((-4*x+a*(-5^(1/2)+1))/a/(10+2*5^(1/2))^(1/2))*(10+2*5^(1/2))^(1/2)/a^6"],
["1/x^3/(a^5+x^5)",x,7,"-1/2/a^5/x^2-1/5*log(a+x)/a^7+1/20*log(a^2+x^2-1/2*a*x*(5^(1/2)+1))*(-5^(1/2)+1)/a^7+1/20*log(a^2+x^2-1/2*a*x*(-5^(1/2)+1))*(5^(1/2)+1)/a^7-1/10*arctan((-4*x+a*(-5^(1/2)+1))/a/(10+2*5^(1/2))^(1/2))*(10-2*5^(1/2))^(1/2)/a^7+1/10*arctan(1/20*(-4*x+a*(5^(1/2)+1))*(50+10*5^(1/2))^(1/2)/a)*(10+2*5^(1/2))^(1/2)/a^7"],
["1/x^4/(a^5+x^5)",x,7,"-1/3/a^5/x^3+1/5*log(a+x)/a^8-1/20*log(a^2+x^2-1/2*a*x*(5^(1/2)+1))*(-5^(1/2)+1)/a^8-1/20*log(a^2+x^2-1/2*a*x*(-5^(1/2)+1))*(5^(1/2)+1)/a^8-1/10*arctan((-4*x+a*(-5^(1/2)+1))/a/(10+2*5^(1/2))^(1/2))*(10-2*5^(1/2))^(1/2)/a^8+1/10*arctan(1/20*(-4*x+a*(5^(1/2)+1))*(50+10*5^(1/2))^(1/2)/a)*(10+2*5^(1/2))^(1/2)/a^8"],
["1/(x^m)/(a^5+x^5)",x,1,"x^(1-m)*hypergeometric([1, 1/5-1/5*m],[6/5-1/5*m],-x^5/a^5)/a^5/(1-m)"],
["(x^4+1)/(x^6+1)",x,22,"2/3*arctan(x)+1/3*arctan(2*x-3^(1/2))+1/3*arctan(2*x+3^(1/2))"],
["1/(x^2+3*x+5)^3",x,4,"1/22*(3+2*x)/(x^2+3*x+5)^2+3/121*(3+2*x)/(x^2+3*x+5)+12/1331*arctan(1/11*(3+2*x)*11^(1/2))*11^(1/2)"],
["(x^4+x^2+1)/(x^2+1)^4",x,4,"1/6*x/(x^2+1)^3-1/24*x/(x^2+1)^2+7/16*x/(x^2+1)+7/16*arctan(x)"],
["(A*x+B)/(a*x^2+2*b*x+c)^2",x,3,"1/2*(-b*B+A*c+(A*b-B*a)*x)/(-a*c+b^2)/(a*x^2+2*b*x+c)-1/2*(A*b-B*a)*arctanh((a*x+b)/(-a*c+b^2)^(1/2))/(-a*c+b^2)^(3/2)"],
["(5*x^3-27*x^2+55*x-41)/(x^2-4*x+5)^2",x,5,"(1-x)/(x^2-4*x+5)+2*arctan(-2+x)+5/2*log(x^2-4*x+5)"],
["1/(x^3-1)^2",x,7,"1/3*x/(-x^3+1)-2/9*log(1-x)+1/9*log(x^2+x+1)+2/9*arctan(1/3*(1+2*x)*3^(1/2))*3^(1/2)"],
["(3*x^4+4)/x^2/(x^2+1)^3",x,4,"-4/x-7/4*x/(x^2+1)^2-25/8*x/(x^2+1)-57/8*arctan(x)"],
["x/(x^6+1)",x,7,"1/6*log(x^2+1)-1/12*log(x^4-x^2+1)-1/6*arctan(1/3*(-2*x^2+1)*3^(1/2))*3^(1/2)"],
["(-1+x^(-1+n))/(-n*x+x^n)",x,5,"log(-n*x+x^n)/n"],
["x^3/(3*x^4-2*x^2+1)",x,5,"1/12*log(3*x^4-2*x^2+1)-1/12*arctan(1/2*(-3*x^2+1)*2^(1/2))*2^(1/2)"],
["x^5/(3*x^4+x^2-4)",x,5,"1/6*x^2+1/14*log(-x^2+1)-8/63*log(3*x^2+4)"],
["x^2/(x^6-10*x^3+9)",x,4,"-1/24*log(-x^3+1)+1/24*log(-x^3+9)"],
["(x^3-4*x^2+1)/(-2+x)^4",x,2,"-7/3/(2-x)^3+2/(2-x)^2+2/(2-x)+log(2-x)"],
["x^3/(-1+x)^12",x,2,"1/11/(1-x)^11-3/10/(1-x)^10+1/3/(1-x)^9-1/8/(1-x)^8"],
["(x^4-3*x)/(1+2*x)^5",x,3,"-25/128/(1+2*x)^4+7/24/(1+2*x)^3-3/32/(1+2*x)^2+1/8/(1+2*x)+1/32*log(1+2*x)"],
["1/(-1+x)^2/(1+x)^3",x,3,"1/8/(1-x)-1/8/(1+x)^2-1/4/(1+x)+3/8*arctanh(x)"],
["1/(5-6*x)^2/x^2",x,2,"6/25/(5-6*x)-1/25/x-12/125*log(5-6*x)+12/125*log(x)"],
["1/(x^2-2*x-3)^3",x,5,"1/16*(1-x)/(-x^2+2*x+3)^2+3/128*(1-x)/(-x^2+2*x+3)+3/512*log(3-x)-3/512*log(1+x)"],
["1/(x^2-4*x+13)^3",x,4,"1/36*(-2+x)/(x^2-4*x+13)^2+1/216*(-2+x)/(x^2-4*x+13)+1/648*arctan(-2/3+1/3*x)"],
["1/(2+x)^3/(3+x)^4",x,2,"-1/2/(2+x)^2+4/(2+x)+1/3/(3+x)^3+3/2/(3+x)^2+6/(3+x)+10*log(2+x)-10*log(3+x)"],
["x^6/(x^2-2)^2",x,4,"4*x+1/3*x^3-2*x/(x^2-2)-5*arctanh(1/2*x*2^(1/2))*2^(1/2)"],
["x^8/(x^2+4)^4",x,5,"35/16*x-1/6*x^7/(x^2+4)^3-7/24*x^5/(x^2+4)^2-35/48*x^3/(x^2+4)-35/8*arctan(1/2*x)"],
["(-4+7*x)/(3*x^2+2*x+5)^2",x,3,"1/28*(-39-19*x)/(3*x^2+2*x+5)-19/392*arctan(1/14*(1+3*x)*14^(1/2))*14^(1/2)"],
["(5-4*x)/(3*x^2-4*x-2)^2",x,3,"1/20*(-18+7*x)/(-3*x^2+4*x+2)-7/200*arctanh(1/10*(2-3*x)*10^(1/2))*10^(1/2)"],
["x^5/(x^4+1)^3",x,4,"-1/8*x^2/(x^4+1)^2+1/16*x^2/(x^4+1)+1/16*arctan(x^2)"],
["x*(x^2+1)^3/(x^4+2*x^2+2)^2",x,3,"1/4/(x^4+2*x^2+2)+1/4*log(x^4+2*x^2+2)"],
["x^3/(a^4+x^4)^3",x,1,"-1/8/(a^4+x^4)^2"],
["1/x/(a^4+x^4)^3",x,3,"1/8/a^4/(a^4+x^4)^2+1/4/a^8/(a^4+x^4)+log(x)/a^12-1/4*log(a^4+x^4)/a^12"],
["1/x^2/(a^4+x^4)^3",x,12,"-45/32/a^12/x+1/8/a^4/x/(a^4+x^4)^2+9/32/a^8/x/(a^4+x^4)+45/128*arctan(1-x*2^(1/2)/a)/a^13*2^(1/2)-45/128*arctan(1+x*2^(1/2)/a)/a^13*2^(1/2)-45/256*log(a^2+x^2-a*x*2^(1/2))/a^13*2^(1/2)+45/256*log(a^2+x^2+a*x*2^(1/2))/a^13*2^(1/2)"],
["1/x^3/(a^4+x^4)^3",x,5,"-15/16/a^12/x^2+1/8/a^4/x^2/(a^4+x^4)^2+5/16/a^8/x^2/(a^4+x^4)-15/16*arctan(x^2/a^2)/a^14"],
["x^14/(2*x^5+3)^3",x,3,"-9/80/(2*x^5+3)^2+3/20/(2*x^5+3)+1/40*log(2*x^5+3)"],
["x^6/(2*x^5+3)^3",x,8,"-1/20*x^2/(2*x^5+3)^2+1/150*x^2/(2*x^5+3)-1/1500*log(3^(1/5)+2^(1/5)*x)*2^(3/5)*3^(2/5)+1/6000*log(2^(3/5)*3^(2/5)+2*x^2-1/2*3^(1/5)*2^(4/5)*x*(5^(1/2)+1))*(-5^(1/2)+1)*2^(3/5)*3^(2/5)+1/6000*log(2^(3/5)*3^(2/5)+2*x^2-1/2*3^(1/5)*2^(4/5)*x*(-5^(1/2)+1))*(5^(1/2)+1)*2^(3/5)*3^(2/5)-1/1500*arctan(1/5*(25-10*5^(1/2))^(1/2)+2/3*2^(7/10)*x*3^(4/5)/(5+5^(1/2))^(1/2))*(5-5^(1/2))^(1/2)*2^(1/10)*3^(2/5)+1/1500*arctan(2/3*2^(7/10)*x*3^(4/5)/(5-5^(1/2))^(1/2)-1/5*(25+10*5^(1/2))^(1/2))*(5+5^(1/2))^(1/2)*2^(1/10)*3^(2/5)"],
["9/5/x^2/(-2*x^2+3)^3",x,5,"-1/8/x+3/20/x/(-2*x^2+3)^2+1/8/x/(-2*x^2+3)+1/24*arctanh(1/3*x*6^(1/2))*6^(1/2)"],
["(3*x^4+4)/x^2/(x^2+1)^3",x,4,"-4/x-7/4*x/(x^2+1)^2-25/8*x/(x^2+1)-57/8*arctan(x)"],
["(-x^4+5*x^3+6*x^2-3*x+5)/(x^5-x^4-2*x^3+2*x^2+x-1)",x,2,"-3/2/(1-x)^2+2/(1-x)+1/(1+x)+log(1-x)-2*log(1+x)"],
["(x^2+1)/x/(x^3+1)^2",x,7,"1/3*x*(-x^2+x)/(x^3+1)+log(x)-4/9*log(1+x)-5/18*log(x^2-x+1)-1/9*arctan(1/3*(1-2*x)*3^(1/2))*3^(1/2)"],
["(x^2-3*x-2)/(1+x)^2/(x^2+x+1)^2",x,7,"-2/(1+x)+1/3*(-7-5*x)/(x^2+x+1)-log(1+x)+1/2*log(x^2+x+1)-25/9*arctan(1/3*(1+2*x)*3^(1/2))*3^(1/2)"],
["1/(1-4*x)^3/(2-3*x)",x,2,"1/10/(1-4*x)^2-3/25/(1-4*x)-9/125*log(1-4*x)+9/125*log(2-3*x)"],
["x^3/(-5*x^2+2)^7",x,3,"1/150/(-5*x^2+2)^6-1/250/(-5*x^2+2)^5"],
["x^7/(-5*x^2+2)^3",x,3,"-1/250*x^2+2/625/(-5*x^2+2)^2-6/625/(-5*x^2+2)-3/625*log(-5*x^2+2)"],
["1/(-2+x)^3/(1+x)^2",x,2,"-1/18/(-2+x)^2+2/27/(-2+x)+1/27/(1+x)+1/27*log(-2+x)-1/27*log(1+x)"],
["1/(2+x)^3/(3+x)^4",x,2,"-1/2/(2+x)^2+4/(2+x)+1/3/(3+x)^3+3/2/(3+x)^2+6/(3+x)+10*log(2+x)-10*log(3+x)"],
["x^5/(3+x)^2",x,2,"-108*x+27/2*x^2-2*x^3+1/4*x^4+243/(3+x)+405*log(3+x)"],
["(c1*x+b1)*(c*x^2+2*b*x+a)",x,2,"a*b1*x+1/2*(a*c1+2*b*b1)*x^2+1/3*(2*b*c1+b1*c)*x^3+1/4*c*c1*x^4"],
["(c1*x+b1)*(c*x^2+2*b*x+a)^2",x,2,"a^2*b1*x+1/2*a*(a*c1+4*b*b1)*x^2+2/3*(2*a*b*c1+a*b1*c+2*b^2*b1)*x^3+1/2*(a*c*c1+2*b^2*c1+2*b*b1*c)*x^4+1/5*c*(4*b*c1+b1*c)*x^5+1/6*c^2*c1*x^6"],
["(c1*x+b1)*(c*x^2+2*b*x+a)^3",x,2,"a^3*b1*x+1/2*a^2*(a*c1+6*b*b1)*x^2+a*(2*a*b*c1+a*b1*c+4*b^2*b1)*x^3+1/4*(3*a^2*c*c1+12*a*b^2*c1+12*a*b*b1*c+8*b^3*b1)*x^4+1/5*(12*a*b*c*c1+3*a*b1*c^2+8*b^3*c1+12*b^2*b1*c)*x^5+1/2*c*(a*c*c1+4*b^2*c1+2*b*b1*c)*x^6+1/7*c^2*(6*b*c1+b1*c)*x^7+1/8*c^3*c1*x^8"],
["(c1*x+b1)*(c*x^2+2*b*x+a)^4",x,2,"a^4*b1*x+1/2*a^3*(a*c1+8*b*b1)*x^2+4/3*a^2*(2*a*b*c1+a*b1*c+6*b^2*b1)*x^3+a*(a^2*c*c1+6*a*b^2*c1+6*a*b*b1*c+8*b^3*b1)*x^4+2/5*(12*a^2*b*c*c1+3*a^2*b1*c^2+16*a*b^3*c1+24*a*b^2*b1*c+8*b^4*b1)*x^5+1/3*(3*a^2*c^2*c1+24*a*b^2*c*c1+12*a*b*b1*c^2+8*b^4*c1+16*b^3*b1*c)*x^6+4/7*c*(6*a*b*c*c1+a*b1*c^2+8*b^3*c1+6*b^2*b1*c)*x^7+1/2*c^2*(a*c*c1+6*b^2*c1+2*b*b1*c)*x^8+1/9*c^3*(8*b*c1+b1*c)*x^9+1/10*c^4*c1*x^10"],
["(c1*x+b1)*(c*x^2+2*b*x+a)^n",x,2,"1/2*c1*(c*x^2+2*b*x+a)^(1+n)/c/(1+n)-2^n*(-b*c1+b1*c)*(c*x^2+2*b*x+a)^(1+n)*hypergeometric([-n, 1+n],[2+n],1/2*(b+c*x+(-a*c+b^2)^(1/2))/(-a*c+b^2)^(1/2))*((-b-c*x+(-a*c+b^2)^(1/2))/(-a*c+b^2)^(1/2))^(-1-n)/c/(1+n)/(-a*c+b^2)^(1/2)"],
["(c1*x+b1)/(c*x^2+2*b*x+a)",x,4,"1/2*c1*log(c*x^2+2*b*x+a)/c-(-b*c1+b1*c)*arctanh((c*x+b)/(-a*c+b^2)^(1/2))/c/(-a*c+b^2)^(1/2)"],
["(c1*x+b1)/(c*x^2+2*b*x+a)^2",x,3,"1/2*(-b*b1+a*c1-(-b*c1+b1*c)*x)/(-a*c+b^2)/(c*x^2+2*b*x+a)+1/2*(-b*c1+b1*c)*arctanh((c*x+b)/(-a*c+b^2)^(1/2))/(-a*c+b^2)^(3/2)"],
["(c1*x+b1)/(c*x^2+2*b*x+a)^3",x,4,"1/4*(-b*b1+a*c1-(-b*c1+b1*c)*x)/(-a*c+b^2)/(c*x^2+2*b*x+a)^2+3/8*(-b*c1+b1*c)*(c*x+b)/(-a*c+b^2)^2/(c*x^2+2*b*x+a)-3/8*c*(-b*c1+b1*c)*arctanh((c*x+b)/(-a*c+b^2)^(1/2))/(-a*c+b^2)^(5/2)"],
["(c1*x+b1)/(c*x^2+2*b*x+a)^4",x,5,"1/6*(-b*b1+a*c1-(-b*c1+b1*c)*x)/(-a*c+b^2)/(c*x^2+2*b*x+a)^3+5/24*(-b*c1+b1*c)*(c*x+b)/(-a*c+b^2)^2/(c*x^2+2*b*x+a)^2-5/16*c*(-b*c1+b1*c)*(c*x+b)/(-a*c+b^2)^3/(c*x^2+2*b*x+a)+5/16*c^2*(-b*c1+b1*c)*arctanh((c*x+b)/(-a*c+b^2)^(1/2))/(-a*c+b^2)^(7/2)"],
["(c1*x+b1)/((c*x^2+2*b*x+a)^n)",x,2,"1/2*c1*(c*x^2+2*b*x+a)^(1-n)/c/(1-n)-(-b*c1+b1*c)*(c*x^2+2*b*x+a)^(1-n)*hypergeometric([n, 1-n],[2-n],1/2*(b+c*x+(-a*c+b^2)^(1/2))/(-a*c+b^2)^(1/2))*((-b-c*x+(-a*c+b^2)^(1/2))/(-a*c+b^2)^(1/2))^(-1+n)/(2^n)/c/(1-n)/(-a*c+b^2)^(1/2)"],
["x/(2*x^2+6*x+3)",x,3,"1/4*log(3+2*x-3^(1/2))*(1-3^(1/2))+1/4*log(3+2*x+3^(1/2))*(1+3^(1/2))"],
["(-3+2*x)/(2*x^2+6*x+3)^3",x,4,"1/4*(5+4*x)/(2*x^2+6*x+3)^2+1/2*(-3-2*x)/(2*x^2+6*x+3)+1/3*arctanh(1/3*(3+2*x)*3^(1/2))*3^(1/2)"],
["(-1+x)/(x^2+5*x+4)^2",x,4,"1/9*(13+7*x)/(x^2+5*x+4)+7/27*log(1+x)-7/27*log(4+x)"],
["1/(x^2+3*x+2)^5",x,7,"1/4*(-3-2*x)/(x^2+3*x+2)^4+7/6*(3+2*x)/(x^2+3*x+2)^3-35/6*(3+2*x)/(x^2+3*x+2)^2+35*(3+2*x)/(x^2+3*x+2)+70*log(1+x)-70*log(2+x)"],
["1/x^3/(2*x^2-6*x+7)^2",x,7,"-1/490/x^2-69/1715/x+1/35*(-2+3*x)/x^2/(2*x^2-6*x+7)+80/2401*log(x)-40/2401*log(2*x^2-6*x+7)-234/60025*arctan(1/5*(3-2*x)*5^(1/2))*5^(1/2)"],
["x^9/(x^2+3*x+2)^5",x,8,"735*x+1/4*x^8*(4+3*x)/(x^2+3*x+2)^4-1/12*x^6*(110+81*x)/(x^2+3*x+2)^3+1/2*x^4*(184+135*x)/(x^2+3*x+2)^2-1/2*x^2*(2206+1593*x)/(x^2+3*x+2)-1471*log(1+x)+1472*log(2+x)"],
["(1+2*x)^2/(2*x^2+5*x+3)^5",x,7,"1/4*(1+2*x)*(7+6*x)/(2*x^2+5*x+3)^4+1/3*(73+62*x)/(2*x^2+5*x+3)^3-155/3*(5+4*x)/(2*x^2+5*x+3)^2+620*(5+4*x)/(2*x^2+5*x+3)+2480*log(1+x)-2480*log(3+2*x)"],
["(-b*x^2+a)^3/x^7",x,3,"-1/6*a^3/x^6+3/4*a^2*b/x^4-3/2*a*b^2/x^2-b^3*log(x)"],
["x^13/(a^4+x^4)^5",x,6,"-1/16*x^10/(a^4+x^4)^4-5/96*x^6/(a^4+x^4)^3-5/128*x^2/(a^4+x^4)^2+5/256*x^2/a^4/(a^4+x^4)+5/256*arctan(x^2/a^2)/a^6"],
["x^(3/2)*(x^2+1)*(-x+2*x^(1/2))^2",x,9,"8/7*x^(7/2)-x^4+2/9*x^(9/2)+8/11*x^(11/2)-2/3*x^6+2/13*x^(13/2)"],
["(-3*x^(3/5)+x^(3/2))^2*(-1/3*x^(2/3)+4*x^(3/2))",x,5,"-45/43*x^(43/15)+360/37*x^(37/10)+60/113*x^(113/30)-120/23*x^(23/5)-1/14*x^(14/3)+8/11*x^(11/2)"],
["1/(1+(1+x)^(1/2))",x,4,"-2*log(1+(1+x)^(1/2))+2*(1+x)^(1/2)"],
["x/(1+(1+x)^(1/2))",x,2,"-x+2/3*(1+x)^(3/2)"],
["(1+(1+x)^(1/2))/(-1+(1+x)^(1/2))",x,4,"x+4*log(1-(1+x)^(1/2))+4*(1+x)^(1/2)"],
["1/((1+x)^(2/3)-(1+x)^(1/2))",x,5,"6*(1+x)^(1/6)+3*(1+x)^(1/3)+6*log(1-(1+x)^(1/6))"],
["(1+x^(1/4))^(1/3)/x^(1/2)",x,3,"-3*(1+x^(1/4))^(4/3)+12/7*(1+x^(1/4))^(7/3)"],
["1/x^3/(1+x)^(3/2)",x,5,"-15/4*arctanh((1+x)^(1/2))+15/4/(1+x)^(1/2)-1/2/x^2/(1+x)^(1/2)+5/4/x/(1+x)^(1/2)"],
["1/(1-x)^(7/2)/x^5",x,9,"3003/320/(1-x)^(5/2)+1001/64/(1-x)^(3/2)-1/4/(1-x)^(5/2)/x^4-13/24/(1-x)^(5/2)/x^3-143/96/(1-x)^(5/2)/x^2-429/64/(1-x)^(5/2)/x-3003/64*arctanh((1-x)^(1/2))+3003/64/(1-x)^(1/2)"],
["1/(-1+x)^(2/3)/x^5",x,8,"1/4*(-1+x)^(1/3)/x^4+11/36*(-1+x)^(1/3)/x^3+11/27*(-1+x)^(1/3)/x^2+55/81*(-1+x)^(1/3)/x+55/81*log(1+(-1+x)^(1/3))-55/243*log(x)-110/243*arctan(1/3*(1-2*(-1+x)^(1/3))*3^(1/2))*3^(1/2)"],
["((1-x)/(1+x))^(1/2)",x,3,"-2*arctan(((1-x)/(1+x))^(1/2))+(1+x)*((1-x)/(1+x))^(1/2)"],
["x*((-a+x)/(b-x))^(1/2)",x,4,"-1/4*(a-b)*(a+3*b)*arctan(((-a+x)/(b-x))^(1/2))+1/4*(a-5*b)*(b-x)*((-a+x)/(b-x))^(1/2)+1/2*(b-x)^2*((-a+x)/(b-x))^(1/2)"],
["(-5+x)^(1/2)*(3+x)^(1/2)/(-1+x)/(x^2-25)",x,6,"1/6*arctan(1/4*(-5+x)^(1/2)*(3+x)^(1/2))+1/15*arctanh(5^(1/2)*(3+x)^(1/2)/(-5+x)^(1/2))*5^(1/2)"],
["x^2*(-x^2+1)^(1/4)*(1+x)^(1/2)/(1-x)^(1/2)/((1-x)^(1/2)-(1+x)^(1/2))",x,33,"5/16*(1-x)^(3/4)*(1+x)^(1/4)-1/16*(1-x)^(1/4)*(1+x)^(3/4)+1/24*(1-x)^(5/4)*(1+x)^(3/4)+3/16*arctan(-1+(1-x)^(1/4)*2^(1/2)/(1+x)^(1/4))*2^(1/2)+3/16*arctan(1+(1-x)^(1/4)*2^(1/2)/(1+x)^(1/4))*2^(1/2)+1/16*log(1-(1-x)^(1/4)*2^(1/2)/(1+x)^(1/4)+(1-x)^(1/2)/(1+x)^(1/2))*2^(1/2)-1/16*log(1+(1-x)^(1/4)*2^(1/2)/(1+x)^(1/4)+(1-x)^(1/2)/(1+x)^(1/2))*2^(1/2)+7/24*(-x^2+1)^(5/4)/(1-x)^(1/2)+1/6*x*(-x^2+1)^(5/4)/(1-x)^(1/2)+1/6*(-x^2+1)^(5/4)*(1+x)^(1/2)"],
["x*(1+x)^(2/3)*(1-x)^(1/2)/(-(1-x)^(5/6)*(1+x)^(1/3)+(1-x)^(2/3)*(1+x)^(1/2))",x,-4,"-1/12*(1-3*x)*(1-x)^(2/3)*(1+x)^(1/3)-1/4*(1-x)*(3+x)+1/12*(1-x)^(1/3)*(1+x)^(2/3)*(1+3*x)+1/12*(1-x)^(1/6)*(1+x)^(5/6)*(2+3*x)-1/12*(1-x)^(5/6)*(1+x)^(1/6)*(10+3*x)+1/6*arctan((1+x)^(1/6)/(1-x)^(1/6))-5/6*arctan(((1-x)^(1/3)-(1+x)^(1/3))/(1-x)^(1/6)/(1+x)^(1/6))-4/9*arctan(1/3*((1-x)^(1/3)-2*(1+x)^(1/3))/(1-x)^(1/3)*3^(1/2))*3^(1/2)+1/18*arctanh((1-x)^(1/6)*(1+x)^(1/6)*3^(1/2)/((1-x)^(1/3)+(1+x)^(1/3)))*3^(1/2)+1/4*x*(1-x)^(1/2)*(1+x)^(1/2)"],
["1/((-1+x)^4*(1+x)^2)^(1/3)",x,2,"-3/2*(-1+x)*(1+x)/((-1+x)^4*(1+x)^2)^(1/3)"],
["1/((-1+x)^3*(2+x)^5)^(1/4)",x,2,"4/3*(-1+x)*(2+x)/((-1+x)^3*(2+x)^5)^(1/4)"],
["1/((-1+x)^7*(1+x)^2)^(1/3)",x,3,"-3/8*(-1+x)*(1+x)/((-1+x)^7*(1+x)^2)^(1/3)+9/16*(-1+x)^2*(1+x)/((-1+x)^7*(1+x)^2)^(1/3)"],
["1/((-1+x)^2*(1+x))^(1/3)",x,-3,"-1/2*log(1+x)-3/2*log(1+(1-x)/((-1+x)^2*(1+x))^(1/3))+arctan(1/3*(1+2*(-1+x)/((-1+x)^2*(1+x))^(1/3))*3^(1/2))*3^(1/2)"],
["(1/x+x)/((-2+x)*(1+x)^3)^(1/2)",x,9,"-4/3*(-2+x)*(1+x)/((-2+x)*(1+x)^3)^(1/2)+2*(1+x)^(3/2)*arcsinh(1/3*(-2+x)^(1/2)*3^(1/2))*(-2+x)^(1/2)/((-2+x)*(1+x)^3)^(1/2)-(1+x)^(3/2)*arctan(2^(1/2)*(1+x)^(1/2)/(-2+x)^(1/2))*2^(1/2)*(-2+x)^(1/2)/((-2+x)*(1+x)^3)^(1/2)"],
["((-1+x)^2*(1+x))^(1/3)/x^2",x,-6,"-((-1+x)^2*(1+x))^(1/3)/x+1/6*log(x)-2/3*log(1+x)-3/2*log(1+(1-x)/((-1+x)^2*(1+x))^(1/3))-1/2*log(1+(-1+x)/((-1+x)^2*(1+x))^(1/3))-1/3*arctan(1/3*(1-2*(-1+x)/((-1+x)^2*(1+x))^(1/3))*3^(1/2))*3^(1/2)-arctan(1/3*(1+2*(-1+x)/((-1+x)^2*(1+x))^(1/3))*3^(1/2))*3^(1/2)"],
["1/(x^2-2*x-3)^(5/2)",x,2,"1/12*(1-x)/(x^2-2*x-3)^(3/2)+1/24*(-1+x)/(x^2-2*x-3)^(1/2)"],
["1/(x^3-5*x^2+3*x+9)^(1/2)",x,4,"(3-x)*arctanh(1/2*(1+x)^(1/2))*(1+x)^(1/2)/(x^3-5*x^2+3*x+9)^(1/2)"],
["1/(x^3-5*x^2+3*x+9)^(3/2)",x,7,"1/8*(3-x)*(1+x)/(x^3-5*x^2+3*x+9)^(3/2)+5/64*(3-x)^2*(1+x)/(x^3-5*x^2+3*x+9)^(3/2)-15/256*(3-x)^3*(1+x)/(x^3-5*x^2+3*x+9)^(3/2)+15/512*(3-x)^3*(1+x)^(3/2)*arctanh(1/2*(1+x)^(1/2))/(x^3-5*x^2+3*x+9)^(3/2)"],
["1/(x^3-5*x^2+3*x+9)^(1/3)",x,-3,"-1/2*log(1+x)-3/2*log(1+(3-x)/(x^3-5*x^2+3*x+9)^(1/3))+arctan(1/3*(1+2*(-3+x)/(x^3-5*x^2+3*x+9)^(1/3))*3^(1/2))*3^(1/2)"],
["1/(x^3-5*x^2+3*x+9)^(2/3)",x,3,"3/4*(3-x)*(1+x)/(x^3-5*x^2+3*x+9)^(2/3)"],
["1/(x^3-5*x^2+3*x+9)^(4/3)",x,5,"3/20*(3-x)*(1+x)/(x^3-5*x^2+3*x+9)^(4/3)+9/80*(3-x)^2*(1+x)/(x^3-5*x^2+3*x+9)^(4/3)-27/320*(3-x)^3*(1+x)/(x^3-5*x^2+3*x+9)^(4/3)"],
["1/(-2*x^2+3*x+4)^(1/2)",x,2,"-1/2*arcsin(1/41*(3-4*x)*41^(1/2))*2^(1/2)"],
["1/(-x^2+4*x-3)^(1/2)",x,2,"arcsin(-2+x)"],
["1/(-3*x^2-5*x-2)^(1/2)",x,2,"1/3*arcsin(5+6*x)*3^(1/2)"],
["1/(x^2+4)/(-x^2+1)^(1/2)",x,2,"1/10*arctan(1/2*x*5^(1/2)/(-x^2+1)^(1/2))*5^(1/2)"],
["1/(x^2+4)/(4*x^2+1)^(1/2)",x,2,"1/30*arctanh(1/2*x*15^(1/2)/(4*x^2+1)^(1/2))*15^(1/2)"],
["x/(-x^2+3)/(-x^2+5)^(1/2)",x,3,"1/2*arctanh(1/2*(-x^2+5)^(1/2)*2^(1/2))*2^(1/2)"],
["x/(-x^2+5)/(-x^2+3)^(1/2)",x,3,"-1/2*arctan(1/2*(-x^2+3)^(1/2)*2^(1/2))*2^(1/2)"],
["1/(x^4-1)/(x^2+2)^(1/2)",x,5,"-1/2*arctan(x/(x^2+2)^(1/2))-1/6*arctanh(x*3^(1/2)/(x^2+2)^(1/2))*3^(1/2)"],
["x/(x^2-1)/(x^2+2*x+4)^(1/2)",x,5,"-1/6*arctanh(1/3*(x^2+2*x+4)^(1/2)*3^(1/2))*3^(1/2)-1/14*arctanh(1/7*(5+2*x)*7^(1/2)/(x^2+2*x+4)^(1/2))*7^(1/2)"],
["1/(x^3-8)/(x^2+2*x+5)^(1/2)",x,9,"1/12*arctanh((x^2+2*x+5)^(1/2))-1/12*arctan(1/3*(1+x)*3^(1/2)/(x^2+2*x+5)^(1/2))*3^(1/2)-1/156*arctanh(1/13*(7+3*x)*13^(1/2)/(x^2+2*x+5)^(1/2))*13^(1/2)"],
["x/(x^2+x+4)/(4*x^2+4*x+5)^(1/2)",x,5,"1/11*arctan(1/11*(4*x^2+4*x+5)^(1/2)*11^(1/2))*11^(1/2)-1/165*arctanh(1/15*(1+2*x)*165^(1/2)/(4*x^2+4*x+5)^(1/2))*165^(1/2)"],
["(3+x)/(x^2+1)/(x^2+x+1)^(1/2)",x,5,"-2*arctan(1/2*(1-x)*2^(1/2)/(x^2+x+1)^(1/2))*2^(1/2)+arctanh(1/2*(1+x)*2^(1/2)/(x^2+x+1)^(1/2))*2^(1/2)"],
["(1+2*x)/(3*x^2+4*x+4)/(x^2+6*x-1)^(1/2)",x,5,"-1/21*arctanh((1+x)*7^(1/2)/(x^2+6*x-1)^(1/2))*7^(1/2)-5/84*arctan(1/4*(2-x)*7^(1/2)*2^(1/2)/(x^2+6*x-1)^(1/2))*14^(1/2)"],
["(A*x+B)/(5*x^2-18*x+17)/(10*x^2-22*x+13)^(1/2)",x,5,"-1/35*(2*A+B)*arctan((2-x)*35^(1/2)/(10*x^2-22*x+13)^(1/2))*35^(1/2)-1/70*(A+B)*arctanh(1/2*(1-x)*35^(1/2)/(10*x^2-22*x+13)^(1/2))*35^(1/2)"],
["(-2+x)/(5*x^2-18*x+17)/(10*x^2-22*x+13)^(1/2)",x,2,"1/70*arctanh(1/2*(1-x)*35^(1/2)/(10*x^2-22*x+13)^(1/2))*35^(1/2)"],
["x^4*(-x^2+5)^(1/2)",x,4,"125/16*arcsin(1/5*x*5^(1/2))-25/16*x*(-x^2+5)^(1/2)-5/24*x^3*(-x^2+5)^(1/2)+1/6*x^5*(-x^2+5)^(1/2)"],
["1/x^6/(x^2+2)^(1/2)",x,3,"-1/10*(x^2+2)^(1/2)/x^5+1/15*(x^2+2)^(1/2)/x^3-1/15/x*(x^2+2)^(1/2)"],
["1/(2*x^2+3)^(7/2)",x,3,"1/15*x/(2*x^2+3)^(5/2)+4/135*x/(2*x^2+3)^(3/2)+8/405*x/(2*x^2+3)^(1/2)"],
["x/(1+x^2+a*(x^2+1)^(1/2))",x,3,"log(a+(x^2+1)^(1/2))"],
["(x^2-x+1)/(x^2+1)^(3/2)",x,2,"arcsinh(x)+1/(x^2+1)^(1/2)"],
["(x^2+1)^(1/2)/(x^2+2)",x,4,"arcsinh(x)-1/2*arctanh(1/2*x*2^(1/2)/(x^2+1)^(1/2))*2^(1/2)"],
["1/(x^2+2)^2/(x^2+1)^(1/2)",x,3,"3/8*arctanh(1/2*x*2^(1/2)/(x^2+1)^(1/2))*2^(1/2)-1/4*x*(x^2+1)^(1/2)/(x^2+2)"],
["x^2/(x^2-6)/(x^2-2)^(1/2)",x,5,"arctanh(x/(x^2-2)^(1/2))-1/2*arctanh(1/3*x*6^(1/2)/(x^2-2)^(1/2))*6^(1/2)"],
["(x^2+5)/(x^2+1)^2/(-x^2+1)^(1/2)",x,4,"2*arctan(x*2^(1/2)/(-x^2+1)^(1/2))*2^(1/2)+x*(-x^2+1)^(1/2)/(x^2+1)"],
["(4*x-(-x^2+1)^(1/2))/(5+(-x^2+1)^(1/2))",x,15,"-x+5*arcsin(x)+20*log(5+(-x^2+1)^(1/2))+25/12*arctan(1/12*x*6^(1/2))*6^(1/2)-25/12*arctan(5/12*x*6^(1/2)/(-x^2+1)^(1/2))*6^(1/2)-4*(-x^2+1)^(1/2)"],
["x^2*(2-(x^2+1)^(1/2))/(1-x^3+(x^2+1)^(3/2))/(x^2+1)^(1/2)",x,32,"8/9*x-1/6*x^2-41/54*arcsinh(x)+7/27*arctanh(1/2*(1-x)/(x^2+1)^(1/2))-7/54*log(3*x^2+2*x+3)+4/27*arctan(1/4*(1+3*x)*2^(1/2))*2^(1/2)+4/27*arctan(1/2*(1+x)*2^(1/2)/(x^2+1)^(1/2))*2^(1/2)+8/9*(x^2+1)^(1/2)-1/6*x*(x^2+1)^(1/2)"],
["x*(2*r*x-x^2)^(1/2)",x,4,"-1/3*(2*r*x-x^2)^(3/2)+r^3*arctan(x/(2*r*x-x^2)^(1/2))-1/2*r*(r-x)*(2*r*x-x^2)^(1/2)"],
["x^2*(2*r*x-x^2)^(1/2)",x,5,"-5/12*r*(2*r*x-x^2)^(3/2)-1/4*x*(2*r*x-x^2)^(3/2)+5/4*r^4*arctan(x/(2*r*x-x^2)^(1/2))-5/8*r^2*(r-x)*(2*r*x-x^2)^(1/2)"],
["x^3*(2*r*x-x^2)^(1/2)",x,6,"-7/12*r^2*(2*r*x-x^2)^(3/2)-7/20*r*x*(2*r*x-x^2)^(3/2)-1/5*x^2*(2*r*x-x^2)^(3/2)+7/4*r^5*arctan(x/(2*r*x-x^2)^(1/2))-7/8*r^3*(r-x)*(2*r*x-x^2)^(1/2)"],
["1/(x^2-1)/(x^2+2*x)^(1/2)",x,5,"-1/2*arctan((x^2+2*x)^(1/2))-1/6*arctanh(1/3*(1+2*x)*3^(1/2)/(x^2+2*x)^(1/2))*3^(1/2)"],
["(-2+3*x)/(1+x)^3/(-x^2+2*x)^(1/2)",x,4,"1/6*arctan(1/3*(1-2*x)*3^(1/2)/(-x^2+2*x)^(1/2))*3^(1/2)-5/6*(-x^2+2*x)^(1/2)/(1+x)^2-2/3*(-x^2+2*x)^(1/2)/(1+x)"],
["1/(x^2+x+1)^(1/2)",x,2,"arcsinh(1/3*(1+2*x)*3^(1/2))"],
["x^3/(x^2+x+1)^(1/2)",x,4,"7/16*arcsinh(1/3*(1+2*x)*3^(1/2))+1/3*x^2*(x^2+x+1)^(1/2)-1/24*(1+10*x)*(x^2+x+1)^(1/2)"],
["1/(x^2+x+1)^(3/2)",x,1,"2/3*(1+2*x)/(x^2+x+1)^(1/2)"],
["x/(x^2+x+1)^(3/2)",x,1,"-2/3*(2+x)/(x^2+x+1)^(1/2)"],
["x^3/(x^2+x+1)^(3/2)",x,4,"-3/2*arcsinh(1/3*(1+2*x)*3^(1/2))-2/3*x^2*(2+x)/(x^2+x+1)^(1/2)+1/3*(5+2*x)*(x^2+x+1)^(1/2)"],
["x^2*(x^2+x+1)^(1/2)",x,5,"-5/24*(x^2+x+1)^(3/2)+1/4*x*(x^2+x+1)^(3/2)+3/128*arcsinh(1/3*(1+2*x)*3^(1/2))+1/64*(1+2*x)*(x^2+x+1)^(1/2)"],
["(x^2+x+1)^(3/2)",x,4,"1/8*(1+2*x)*(x^2+x+1)^(3/2)+27/128*arcsinh(1/3*(1+2*x)*3^(1/2))+9/64*(1+2*x)*(x^2+x+1)^(1/2)"],
["(x^2+x+1)^(5/2)",x,5,"5/64*(1+2*x)*(x^2+x+1)^(3/2)+1/12*(1+2*x)*(x^2+x+1)^(5/2)+135/1024*arcsinh(1/3*(1+2*x)*3^(1/2))+45/512*(1+2*x)*(x^2+x+1)^(1/2)"],
["1/x^2/(x^2+x+1)^(1/2)",x,3,"1/2*arctanh(1/2*(2+x)/(x^2+x+1)^(1/2))-(x^2+x+1)^(1/2)/x"],
["1/x^3/(x^2+x+1)^(1/2)",x,4,"1/8*arctanh(1/2*(2+x)/(x^2+x+1)^(1/2))-1/2*(x^2+x+1)^(1/2)/x^2+3/4*(x^2+x+1)^(1/2)/x"],
["1/x^2/(x^2+x+1)^(3/2)",x,4,"3/2*arctanh(1/2*(2+x)/(x^2+x+1)^(1/2))+2/3*(1-x)/x/(x^2+x+1)^(1/2)-5/3*(x^2+x+1)^(1/2)/x"],
["1/x^3/(x^2+x+1)^(3/2)",x,5,"-3/8*arctanh(1/2*(2+x)/(x^2+x+1)^(1/2))+2/3*(1-x)/x^2/(x^2+x+1)^(1/2)-7/6*(x^2+x+1)^(1/2)/x^2+37/12*(x^2+x+1)^(1/2)/x"],
["1/(1+x)/(x^2+x+1)^(1/2)",x,2,"-arctanh(1/2*(1-x)/(x^2+x+1)^(1/2))"],
["1/(x^3-x)/(x^2+2*x+4)^(1/2)",x,10,"1/2*arctanh(1/2*(4+x)/(x^2+2*x+4)^(1/2))-1/6*arctanh(1/3*(x^2+2*x+4)^(1/2)*3^(1/2))*3^(1/2)-1/14*arctanh(1/7*(5+2*x)*7^(1/2)/(x^2+2*x+4)^(1/2))*7^(1/2)"],
["(x^2+2*x+4)^(1/2)/(-1+x)^2",x,6,"arcsinh(1/3*(1+x)*3^(1/2))-2/7*arctanh(1/7*(5+2*x)*7^(1/2)/(x^2+2*x+4)^(1/2))*7^(1/2)+(x^2+2*x+4)^(1/2)/(1-x)"],
["(3+2*x)/(x^2+2*x+3)^2/(x^2+2*x+4)^(1/2)",x,6,"arctanh((x^2+2*x+4)^(1/2))-1/8*arctan(1/2*(1+x)*2^(1/2)/(x^2+2*x+4)^(1/2))*2^(1/2)-1/4*(3-x)*(x^2+2*x+4)^(1/2)/(x^2+2*x+3)"],
["(2*x^3+3*x^2)/(2*x^2+x-3)/(x^2+2*x-3)^(1/2)",x,4,"(x^2+2*x-3)^(1/2)+1/2*(x^2+2*x-3)^(1/2)/(1-x)"],
["(x^4+1)/(x^2+x+1)/(x^2+x+2)^(1/2)",x,14,"-1/8*arcsinh(1/7*(1+2*x)*7^(1/2))-arctanh((x^2+x+2)^(1/2))+1/3*arctan(1/3*(1+2*x)*3^(1/2)/(x^2+x+2)^(1/2))*3^(1/2)-7/4*(x^2+x+2)^(1/2)+1/2*x*(x^2+x+2)^(1/2)"],
["1/(x^2+2*x+4)^(7/2)",x,3,"1/15*(1+x)/(x^2+2*x+4)^(5/2)+4/135*(1+x)/(x^2+2*x+4)^(3/2)+8/405*(1+x)/(x^2+2*x+4)^(1/2)"],
["1/(3*x^2+8*x+1)^(5/2)",x,2,"1/39*(-4-3*x)/(3*x^2+8*x+1)^(3/2)+2/169*(4+3*x)/(3*x^2+8*x+1)^(1/2)"],
["1/(-3*x^2+4*x+5)^(5/2)",x,2,"1/57*(-2+3*x)/(-3*x^2+4*x+5)^(3/2)-2/361*(2-3*x)/(-3*x^2+4*x+5)^(1/2)"],
["1/(1+(x^2+2*x+2)^(1/2))",x,5,"1/(1+x)+arcsinh(1+x)-(x^2+2*x+2)^(1/2)/(1+x)"],
["1/(x+(x^2+x+1)^(1/2))",x,-3,"-x-3/2*arcsinh(1/3*(1+2*x)*3^(1/2))+2*log(x+(x^2+x+1)^(1/2))+(x^2+x+1)^(1/2)"],
["x^2/(1+2*x+2*(x^2+x+1)^(1/2))",x,7,"-1/9*x^3-1/6*x^4-5/36*(x^2+x+1)^(3/2)+1/6*x*(x^2+x+1)^(3/2)+1/64*arcsinh(1/3*(1+2*x)*3^(1/2))+1/96*(1+2*x)*(x^2+x+1)^(1/2)"],
["(-3*x+(x^2+x+1)^(1/2))/(-1+(x^2+x+1)^(1/2))",x,26,"x+5/2*arcsinh(1/3*(1+2*x)*3^(1/2))+4*arctanh(1/2*(1-x)/(x^2+x+1)^(1/2))-arctanh(1/2*(2+x)/(x^2+x+1)^(1/2))+log(x)-4*log(1+x)-3*(x^2+x+1)^(1/2)"],
["(1+x)/(-(x^2+x+1)^(1/2)+(x^2+2*x+4)^(1/2))",x,36,"11/2*arcsinh(1/3*(1+x)*3^(1/2))+43/8*arcsinh(1/3*(1+2*x)*3^(1/2))-2*arctanh(1/14*(1+5*x)*7^(1/2)/(x^2+x+1)^(1/2))*7^(1/2)+2*arctanh(1/7*(1-2*x)*7^(1/2)/(x^2+2*x+4)^(1/2))*7^(1/2)-2*(x^2+x+1)^(1/2)+1/4*(1+2*x)*(x^2+x+1)^(1/2)-2*(x^2+2*x+4)^(1/2)+1/2*(1+x)*(x^2+2*x+4)^(1/2)"],
["1/x^3/(-1+x)^(1/2)",x,4,"3/4*arctan((-1+x)^(1/2))+1/2*(-1+x)^(1/2)/x^2+3/4*(-1+x)^(1/2)/x"],
["1/(1-3/x)^(4/3)/x^2",x,1,"-1/(1-3/x)^(1/3)"],
["(-1+3*x)^(4/3)/x^2",x,6,"12*(-1+3*x)^(1/3)-(-1+3*x)^(4/3)/x+2*log(x)-6*log(1+(-1+3*x)^(1/3))+4*arctan(1/3*(1-2*(-1+3*x)^(1/3))*3^(1/2))*3^(1/2)"],
["(4-3*x)^(4/3)*x^2",x,2,"-16/63*(4-3*x)^(7/3)+4/45*(4-3*x)^(10/3)-1/117*(4-3*x)^(13/3)"],
["(1-2*x^(1/3))^(3/4)/x",x,6,"4*(1-2*x^(1/3))^(3/4)+6*arctan((1-2*x^(1/3))^(1/4))-6*arctanh((1-2*x^(1/3))^(1/4))"],
["x/(3-2*x^(1/2))^(3/4)",x,3,"-27/2*(3-2*x^(1/2))^(1/4)+27/10*(3-2*x^(1/2))^(5/4)-1/2*(3-2*x^(1/2))^(9/4)+1/26*(3-2*x^(1/2))^(13/4)"],
["(-1+2*x^(1/2))^(5/4)/x^2",x,13,"5/4*arctan(-1+2^(1/2)*(-1+2*x^(1/2))^(1/4))*2^(1/2)+5/4*arctan(1+2^(1/2)*(-1+2*x^(1/2))^(1/4))*2^(1/2)-5/8*log(1-2^(1/2)*(-1+2*x^(1/2))^(1/4)+(-1+2*x^(1/2))^(1/2))*2^(1/2)+5/8*log(1+2^(1/2)*(-1+2*x^(1/2))^(1/4)+(-1+2*x^(1/2))^(1/2))*2^(1/2)-5/2*(-1+2*x^(1/2))^(1/4)/x^(1/2)-(-1+2*x^(1/2))^(5/4)/x"],
["x^6*(x^7+1)^(1/3)",x,1,"3/28*(x^7+1)^(4/3)"],
["x^6/(x^7+1)^(5/3)",x,1,"-3/14/(x^7+1)^(2/3)"],
["1/x/(2*x^7-27)^(2/3)",x,5,"-1/18*log(x)+1/42*log(3+(2*x^7-27)^(1/3))-1/63*arctan(1/9*(3-2*(2*x^7-27)^(1/3))*3^(1/2))*3^(1/2)"],
["(x^7+1)^(2/3)/x^8",x,6,"-1/7*(x^7+1)^(2/3)/x^7-1/3*log(x)+1/7*log(1-(x^7+1)^(1/3))+2/21*arctan(1/3*(1+2*(x^7+1)^(1/3))*3^(1/2))*3^(1/2)"],
["(4*x^4+3)^(1/4)/x^2",x,5,"-(4*x^4+3)^(1/4)/x-1/2*arctan(x*2^(1/2)/(4*x^4+3)^(1/4))*2^(1/2)+1/2*arctanh(x*2^(1/2)/(4*x^4+3)^(1/4))*2^(1/2)"],
["x^2*(4*x^4+3)^(5/4)",x,6,"15/32*x^3*(4*x^4+3)^(1/4)+1/8*x^3*(4*x^4+3)^(5/4)-45/256*arctan(x*2^(1/2)/(4*x^4+3)^(1/4))*2^(1/2)+45/256*arctanh(x*2^(1/2)/(4*x^4+3)^(1/4))*2^(1/2)"],
["x^6*(4*x^4+3)^(1/4)",x,6,"3/128*x^3*(4*x^4+3)^(1/4)+1/8*x^7*(4*x^4+3)^(1/4)+27/1024*arctan(x*2^(1/2)/(4*x^4+3)^(1/4))*2^(1/2)-27/1024*arctanh(x*2^(1/2)/(4*x^4+3)^(1/4))*2^(1/2)"],
["(x*(-x^2+1))^(1/3)",x,6,"1/2*x*(x*(-x^2+1))^(1/3)+1/12*log(x)-1/4*log(x+(x*(-x^2+1))^(1/3))+1/6*arctan(1/3*(2*x-(x*(-x^2+1))^(1/3))/(x*(-x^2+1))^(1/3)*3^(1/2))*3^(1/2)"],
["((1+x^(1/3))*x)^(1/2)",x,8,"21/128*arctanh(x^(2/3)/((1+x^(1/3))*x)^(1/2))+7/64*((1+x^(1/3))*x)^(1/2)-21/128*((1+x^(1/3))*x)^(1/2)/x^(1/3)-7/80*x^(1/3)*((1+x^(1/3))*x)^(1/2)+3/40*x^(2/3)*((1+x^(1/3))*x)^(1/2)+3/5*x*((1+x^(1/3))*x)^(1/2)"],
["x^3/(x^4-1)/(2*x^8+1)^(1/2)",x,3,"-1/12*arctanh(1/3*(2*x^4+1)*3^(1/2)/(2*x^8+1)^(1/2))*3^(1/2)"],
["x^9*(x^10+x^5+1)^(1/2)",x,5,"1/15*(x^10+x^5+1)^(3/2)-3/80*arcsinh(1/3*(2*x^5+1)*3^(1/2))-1/40*(2*x^5+1)*(x^10+x^5+1)^(1/2)"],
["1/x^5/(x^4+2*x^2+4)^(1/2)",x,5,"1/128*arctanh(1/2*(x^2+4)/(x^4+2*x^2+4)^(1/2))-1/16*(x^4+2*x^2+4)^(1/2)/x^4+3/64*(x^4+2*x^2+4)^(1/2)/x^2"],
["(x^2-1)/x/(x^4+3*x^2+1)^(1/2)",x,3,"arctanh((x^2+1)/(x^4+3*x^2+1)^(1/2))"],
["(2*x^3-3*x)*(x^4-3*x^2)^(3/5)",x,1,"5/16*(x^4-3*x^2)^(8/5)"],
["(-2*x^5+3*x^8-x^2*(3*x^3-1)^(2/3))/(3*x^3-1)^(3/4)",x,9,"-4/27*(3*x^3-1)^(1/4)-4/33*(3*x^3-1)^(11/12)+4/243*(3*x^3-1)^(9/4)"],
["1/(x^3-1)/(x^3+2)^(1/3)",x,1,"-1/3*arctan(1/3*(1+2*3^(1/3)*x/(x^3+2)^(1/3))*3^(1/2))*3^(1/6)-1/18*log(x^3-1)*3^(2/3)+1/6*log(3^(1/3)*x-(x^3+2)^(1/3))*3^(2/3)"],
["1/(x^4+1)/(x^4+2)^(1/4)",x,10,"1/4*arctan(-1+x*2^(1/2)/(x^4+2)^(1/4))*2^(1/2)+1/4*arctan(1+x*2^(1/2)/(x^4+2)^(1/4))*2^(1/2)-1/8*log(1-x*2^(1/2)/(x^4+2)^(1/4)+x^2/(x^4+2)^(1/2))*2^(1/2)+1/8*log(1+x*2^(1/2)/(x^4+2)^(1/4)+x^2/(x^4+2)^(1/2))*2^(1/2)"],
["(x^3-1)/(x^3+2)^(1/3)",x,2,"1/3*x*(x^3+2)^(2/3)+5/6*log(-x+(x^3+2)^(1/3))-5/9*arctan(1/3*(1+2*x/(x^3+2)^(1/3))*3^(1/2))*3^(1/2)"],
["(x^4+1)^(3/4)/(x^4+2)^2",x,5,"1/8*x*(x^4+1)^(3/4)/(x^4+2)+3/32*arctan(1/2*x*2^(3/4)/(x^4+1)^(1/4))*2^(1/4)+3/32*arctanh(1/2*x*2^(3/4)/(x^4+1)^(1/4))*2^(1/4)"],
["(x^5-2)^2/(x^5+3)^(16/5)",x,3,"-5/33*x*(x^5-2)/(x^5+3)^(11/5)+5/297*x/(x^5+3)^(6/5)+97/891*x/(x^5+3)^(1/5)"],
["1/(x^3+3*x^2+3*x)/(x^3+3*x^2+3*x+3)^(1/3)",x,3,"-1/3*arctan(1/3*(1+2*3^(1/3)*(1+x)/(2+(1+x)^3)^(1/3))*3^(1/2))*3^(1/6)-1/18*log(1-(1+x)^3)*3^(2/3)+1/6*log(3^(1/3)*(1+x)-(2+(1+x)^3)^(1/3))*3^(2/3)"],
["(-x^2+1)/(x^2+1)/(x^4+1)^(1/2)",x,2,"1/2*arctan(x*2^(1/2)/(x^4+1)^(1/2))*2^(1/2)"],
["(x^2+1)/(-x^2+1)/(x^4+1)^(1/2)",x,2,"1/2*arctanh(x*2^(1/2)/(x^4+1)^(1/2))*2^(1/2)"],
["(x^2+1)/x/(x^4+1)^(1/2)",x,6,"arctanh((x^2-1)/(x^4+1)^(1/2))"],
["(x^2-1)/x/(x^4+1)^(1/2)",x,6,"arctanh((x^2+1)/(x^4+1)^(1/2))"],
["(x^2+1)/(-x^2+1)/(x^4+x^2+1)^(1/2)",x,2,"1/3*arctanh(x*3^(1/2)/(x^4+x^2+1)^(1/2))*3^(1/2)"],
["(-x^2+1)/(x^2+1)/(x^4+x^2+1)^(1/2)",x,2,"arctan(x/(x^4+x^2+1)^(1/2))"],
["(x^4-1)/x^2/(x^4+x^2+1)^(1/2)",x,1,"1/x*(x^4+x^2+1)^(1/2)"],
["(-x^2+1)/(2*a*x+x^2+1)/(2*a*x^3+x^4+2*b*x^2+2*a*x+1)^(1/2)",x,1,"1/2*arctan(1/2*(a+2*(a^2-b+1)*x+a*x^2)*2^(1/2)/(1-b)^(1/2)/(2*a*x^3+x^4+2*b*x^2+2*a*x+1)^(1/2))*2^(1/2)/(1-b)^(1/2)"],
["1/(x^4+1)/(-x^2+(x^4+1)^(1/2))^(1/2)",x,2,"arctan(x/(-x^2+(x^4+1)^(1/2))^(1/2))"],
["1/(1+x^(2*n))/(-x^2+(1+x^(2*n))^(1/n))^(1/2)",x,2,"arctan(x/(-x^2+(1+x^(2*n))^(1/n))^(1/2))"],
["cos(x)^2",x,2,"1/2*x+1/2*cos(x)*sin(x)"],
["cos(x)^3",x,2,"sin(x)-1/3*sin(x)^3"],
["sin(x)^4",x,3,"3/8*x-3/8*cos(x)*sin(x)-1/4*cos(x)*sin(x)^3"],
["cos(x)^6",x,4,"5/16*x+5/16*cos(x)*sin(x)+5/24*cos(x)^3*sin(x)+1/6*cos(x)^5*sin(x)"],
["sin(x)^8",x,5,"35/128*x-35/128*cos(x)*sin(x)-35/192*cos(x)*sin(x)^3-7/48*cos(x)*sin(x)^5-1/8*cos(x)*sin(x)^7"],
["cos(1/4*pi+1/2*x)^4",x,3,"3/8*x+1/2*cos(x)-1/8*cos(x)*sin(x)"],
["-cos(5/12*pi+3*x)^3",x,2,"-1/3*sin(5/12*pi+3*x)+1/9*sin(5/12*pi+3*x)^3"],
["1/sin(x)^6",x,2,"-cot(x)-2/3*cot(x)^3-1/5*cot(x)^5"],
["csc(x)^7",x,4,"-5/16*arctanh(cos(x))-5/16*cot(x)*csc(x)-5/24*cot(x)*csc(x)^3-1/6*cot(x)*csc(x)^5"],
["1/cos(x)^12",x,2,"tan(x)+5/3*tan(x)^3+2*tan(x)^5+10/7*tan(x)^7+5/9*tan(x)^9+1/11*tan(x)^11"],
["1/cos(1/4*pi+3*x)^3",x,2,"1/6*arctanh(sin(1/4*pi+3*x))+1/6*sec(1/4*pi+3*x)*tan(1/4*pi+3*x)"],
["tan(x)^6",x,4,"-x+tan(x)-1/3*tan(x)^3+1/5*tan(x)^5"],
["1/tan(x)^5",x,3,"1/2*cot(x)^2-1/4*cot(x)^4+log(sin(x))"],
["cot(1/4*pi+1/3*x)^4",x,3,"x+3*cot(1/4*pi+1/3*x)-cot(1/4*pi+1/3*x)^3"],
["cos(x)^6*sin(x)^4",x,6,"3/256*x+3/256*cos(x)*sin(x)+1/128*cos(x)^3*sin(x)+1/160*cos(x)^5*sin(x)-3/80*cos(x)^7*sin(x)-1/10*cos(x)^7*sin(x)^3"],
["cos(x)^6*sin(x)^7",x,3,"-1/7*cos(x)^7+1/3*cos(x)^9-3/11*cos(x)^11+1/13*cos(x)^13"],
["sin(x)^11/cos(x)",x,4,"5/2*cos(x)^2-5/2*cos(x)^4+5/3*cos(x)^6-5/8*cos(x)^8+1/10*cos(x)^10-log(cos(x))"],
["1/cos(x)^6/sin(x)^6",x,3,"-10*cot(x)-5/3*cot(x)^3-1/5*cot(x)^5+10*tan(x)+5/3*tan(x)^3+1/5*tan(x)^5"],
["cos(x)^2*sin(x)^2",x,3,"1/8*x+1/8*cos(x)*sin(x)-1/4*cos(x)^3*sin(x)"],
["cos(x)^4*sin(x)^4",x,5,"3/128*x+3/128*cos(x)*sin(x)+1/64*cos(x)^3*sin(x)-1/16*cos(x)^5*sin(x)-1/8*cos(x)^5*sin(x)^3"],
["cos(x)^6*sin(x)^6",x,7,"5/1024*x+5/1024*cos(x)*sin(x)+5/1536*cos(x)^3*sin(x)+1/384*cos(x)^5*sin(x)-1/64*cos(x)^7*sin(x)-1/24*cos(x)^7*sin(x)^3-1/12*cos(x)^7*sin(x)^5"],
["cos(x)^8*sin(x)^8",x,9,"35/32768*x+35/32768*cos(x)*sin(x)+35/49152*cos(x)^3*sin(x)+7/12288*cos(x)^5*sin(x)+1/2048*cos(x)^7*sin(x)-1/256*cos(x)^9*sin(x)-5/384*cos(x)^9*sin(x)^3-1/32*cos(x)^9*sin(x)^5-1/16*cos(x)^9*sin(x)^7"],
["cos(x)^(2*m)*sin(x)^(2*m)",x,1,"cos(x)^(-1+2*m)*(cos(x)^2)^(1/2-m)*hypergeometric([1/2+m, 1/2-m],[3/2+m],sin(x)^2)*sin(x)^(1+2*m)/(1+2*m)"],
["1/cos(1/4*pi+2*x)/sin(1/4*pi+2*x)^3",x,3,"-1/4*cot(1/4*pi+2*x)^2+1/2*log(tan(1/4*pi+2*x))"],
["sec(x)^2*tan(x)^2",x,2,"1/3*tan(x)^3"],
["cot(x)^3*csc(x)",x,2,"csc(x)-1/3*csc(x)^3"],
["sec(x)^3*tan(x)",x,2,"1/3*sec(x)^3"],
["cot(x)^2*csc(x)^3",x,3,"1/8*arctanh(cos(x))+1/8*cot(x)*csc(x)-1/4*cot(x)*csc(x)^3"],
["cos(x)^3/sin(x)^7",x,3,"1/4*csc(x)^4-1/6*csc(x)^6"],
["sec(x)^(3/2)*tan(x)^5",x,3,"2/3*sec(x)^(3/2)-4/7*sec(x)^(7/2)+2/11*sec(x)^(11/2)"],
["sec(x)^4*tan(x)^(3/2)",x,3,"2/5*tan(x)^(5/2)+2/9*tan(x)^(9/2)"],
["cot(x)^4*csc(x)^3",x,4,"-1/16*arctanh(cos(x))-1/16*cot(x)*csc(x)+1/8*cot(x)*csc(x)^3-1/6*cot(x)^3*csc(x)^3"],
["sec(1/4*pi+1/2*x)^3*tan(1/4*pi+1/2*x)^2",x,3,"-1/4*arctanh(sin(1/4*pi+1/2*x))-1/4*sec(1/4*pi+1/2*x)*tan(1/4*pi+1/2*x)+1/2*sec(1/4*pi+1/2*x)^3*tan(1/4*pi+1/2*x)"],
["(1+cot(x)^3)*(a*sec(x)^2-sin(2*x))^2",x,8,"1/2*x+4*a*x+2*cos(x)^2+cos(x)^4+4*a*cot(x)-1/2*a^2*cot(x)^2+(4-a)*a*log(cos(x))+(a^2+4)*log(sin(x))+1/2*cos(x)*sin(x)-cos(x)^3*sin(x)+a^2*tan(x)+1/3*a^2*tan(x)^3"],
["(4-3*cos(x))*(1-1/2*sin(x))^4",x,15,"227/32*x+10*cos(x)-3*cos(x)^2-2/3*cos(x)^3-3*sin(x)-99/32*cos(x)*sin(x)-3/2*sin(x)^3-1/16*cos(x)*sin(x)^3+3/8*sin(x)^4-3/80*sin(x)^5"],
["(1/2-3*cot(x))*(3-2*cot(x))^3",x,4,"-285/2*x+5*(3-2*cot(x))^2+(3-2*cot(x))^3-42*cot(x)+4*log(sin(x))"],
["cos(5*x)/cos(x)^5",x,4,"16*x-15*tan(x)+5/3*tan(x)^3"],
["cos(4*x)/cos(x)",x,4,"arctanh(sin(x))-8/3*sin(x)^3"],
["cos(x)*cos(4*x)",x,1,"1/6*sin(3*x)+1/10*sin(5*x)"],
["cos(4*x)/cos(x)^5",x,4,"35/8*arctanh(sin(x))-29/8*sec(x)*tan(x)+1/4*sec(x)^3*tan(x)"],
["cos(x)^4*cos(4*x)",x,6,"1/16*x+1/8*sin(2*x)+3/32*sin(4*x)+1/24*sin(6*x)+1/128*sin(8*x)"],
["cos(5*x)/sin(x)^5",x,4,"6*csc(x)^2-1/4*csc(x)^4+16*log(sin(x))"],
["sin(4*x)/sin(x)^4",x,3,"-2*csc(x)^2-8*log(sin(x))"],
["cos(x)/sin(x)/(2+sin(2*x))",x,7,"1/2*log(sin(x))-1/4*log(1+cos(x)*sin(x))-1/6*x*3^(1/2)+1/6*arctan((1-2*cos(x)^2)/(2+2*cos(x)*sin(x)+3^(1/2)))*3^(1/2)"],
["cos(x)^2/cos(3*x)/sin(x)",x,5,"-1/2*log(-4+csc(x)^2)"],
["sin(2*x)/(cos(x)^4+sin(x)^4)",x,5,"-arctan(cos(2*x))"],
["1/(4+sin(x)+cos(x)*3^(1/2))",x,3,"1/6*x*3^(1/2)+1/3*arctan((cos(x)-sin(x)*3^(1/2))/(sin(x)+cos(x)*3^(1/2)+4+2*3^(1/2)))*3^(1/2)"],
["1/(3+4*cos(x)+4*sin(x))",x,3,"-1/23*arctanh((cos(x)-sin(x))*23^(1/2)/(8+3*cos(x)+3*sin(x)))*23^(1/2)"],
["1/(4-3*cos(x)^2+5*sin(x)^2)",x,2,"1/3*x+1/3*arctan(2*cos(x)*sin(x)/(1+2*sin(x)^2))"],
["1/(4+4*cot(x)+tan(x))",x,6,"4/25*x-3/25*log(2*cos(x)+sin(x))+2/5/(2+tan(x))"],
["1/(2*sec(x)+sin(x))^2",x,4,"8/225*x*15^(1/2)-8/225*arctan((1-2*cos(x)^2)/(4+2*cos(x)*sin(x)+15^(1/2)))*15^(1/2)+1/15*(1+4*tan(x))/(2+tan(x)+2*tan(x)^2)"],
["1/(cos(x)+2*sec(x))^2",x,3,"1/36*x*6^(1/2)-1/36*arctan(cos(x)*sin(x)/(2+cos(x)^2+6^(1/2)))*6^(1/2)+1/6*tan(x)/(3+2*tan(x)^2)"],
["(5-tan(x)-6*tan(x)^2)/(1+3*tan(x))^3",x,4,"-67/250*x-28/125*log(cos(x)+3*sin(x))-7/10/(1+3*tan(x))^2-29/50/(1+3*tan(x))"],
["cos(x)^2/cos(3*x)",x,2,"1/2*arctanh(2*sin(x))"],
["sin(x)/cos(2*x)",x,2,"1/2*arctanh(cos(x)*2^(1/2))*2^(1/2)"],
["sin(x)^2/cos(2*x)",x,4,"-1/2*x+1/4*arctanh(2*cos(x)*sin(x))"],
["sin(x)^3/cos(3*x)",x,4,"1/3*log(cos(x))-1/24*log(3-4*cos(x)^2)"],
["cos(x)/sin(3*x)",x,5,"1/3*log(sin(x))-1/6*log(3-4*sin(x)^2)"],
["sin(x)/sin(4*x)",x,4,"-1/4*arctanh(sin(x))+1/4*arctanh(sin(x)*2^(1/2))*2^(1/2)"],
["sin(x)^3/sin(4*x)",x,4,"-1/4*arctanh(sin(x))+1/8*arctanh(sin(x)*2^(1/2))*2^(1/2)"],
["(1+sin(2*x))^(1/2)",x,1,"-cos(2*x)/(1+sin(2*x))^(1/2)"],
["(1-sin(2*x))^(1/2)",x,1,"cos(2*x)/(1-sin(2*x))^(1/2)"],
["1/(1+cos(2*x))^(1/2)",x,2,"1/2*arctanh(1/2*sin(2*x)*2^(1/2)/(1+cos(2*x))^(1/2))*2^(1/2)"],
["1/(1-cos(2*x))^(1/2)",x,2,"-1/2*arctanh(1/2*sin(2*x)*2^(1/2)/(1-cos(2*x))^(1/2))*2^(1/2)"],
["1/(1-cos(3*x))^(3/2)",x,3,"-1/6*sin(3*x)/(1-cos(3*x))^(3/2)-1/12*arctanh(1/2*sin(3*x)*2^(1/2)/(1-cos(3*x))^(1/2))*2^(1/2)"],
["(1-sin(2/3*x))^(5/2)",x,3,"3/5*cos(2/3*x)*(1-sin(2/3*x))^(3/2)+32/5*cos(2/3*x)/(1-sin(2/3*x))^(1/2)+8/5*cos(2/3*x)*(1-sin(2/3*x))^(1/2)"],
["cos(x)*(-cos(x)^2+2*(1+2*sin(x))^(1/4))/(1+2*sin(x))^(3/2)",x,4,"-4/(1+2*sin(x))^(1/4)+1/12*(1+2*sin(x))^(3/2)+3/4/(1+2*sin(x))^(1/2)-1/2*(1+2*sin(x))^(1/2)"],
["tan(x)^(1/2)",x,11,"1/2*arctan(-1+2^(1/2)*tan(x)^(1/2))*2^(1/2)+1/2*arctan(1+2^(1/2)*tan(x)^(1/2))*2^(1/2)+1/4*log(1-2^(1/2)*tan(x)^(1/2)+tan(x))*2^(1/2)-1/4*log(1+2^(1/2)*tan(x)^(1/2)+tan(x))*2^(1/2)"],
["1/tan(5*x)^(1/3)",x,9,"3/20*log(1+tan(5*x)^(2/3))-1/20*log(1+tan(5*x)^2)-1/10*arctan(1/3*(1-2*tan(5*x)^(2/3))*3^(1/2))*3^(1/2)"],
["1/(4+3*tan(2*x))^(3/2)",x,6,"-9/500*arctan(1/2*(1-3*tan(2*x))*2^(1/2)/(4+3*tan(2*x))^(1/2))*2^(1/2)+13/500*arctanh(1/2*(3+tan(2*x))*2^(1/2)/(4+3*tan(2*x))^(1/2))*2^(1/2)-3/25/(4+3*tan(2*x))^(1/2)"],
["(-(4-3*tan(x))^(1/2)+3*tan(x))/cos(x)^2/(4-3*tan(x))^(3/2)",x,4,"1/3*log(4-3*tan(x))+8/3/(4-3*tan(x))^(1/2)+2/3*(4-3*tan(x))^(1/2)"],
["tan(x)/(-1+tan(x)^(1/2))^2",x,-19,"-1/2*x+1/2*log(cos(x))+log(1-tan(x)^(1/2))+1/2*arctan(1/2*(1-tan(x))*2^(1/2)/tan(x)^(1/2))*2^(1/2)+1/2*arctanh(1/2*(1+tan(x))*2^(1/2)/tan(x)^(1/2))*2^(1/2)+1/(1-tan(x)^(1/2))"],
["sin(x)/sin(2*x)^(1/2)",x,1,"-1/2*arcsin(cos(x)-sin(x))-1/2*log(cos(x)+sin(x)+sin(2*x)^(1/2))"],
["cos(x)/sin(2*x)^(1/2)",x,1,"-1/2*arcsin(cos(x)-sin(x))+1/2*log(cos(x)+sin(x)+sin(2*x)^(1/2))"],
["sin(x)*sin(2*x)^(1/2)",x,2,"-1/4*arcsin(cos(x)-sin(x))+1/4*log(cos(x)+sin(x)+sin(2*x)^(1/2))-1/2*cos(x)*sin(2*x)^(1/2)"],
["(cos(x)-sin(x))*sin(2*x)^(1/2)",x,6,"-1/2*log(cos(x)+sin(x)+sin(2*x)^(1/2))+1/2*cos(x)*sin(2*x)^(1/2)+1/2*sin(x)*sin(2*x)^(1/2)"],
["sin(x)^7/sin(2*x)^(7/2)",x,4,"-1/16*arcsin(cos(x)-sin(x))+1/16*log(cos(x)+sin(x)+sin(2*x)^(1/2))+1/5*sin(x)^5/sin(2*x)^(5/2)-1/4*sin(x)/sin(2*x)^(1/2)"],
["cos(x)^7/sin(2*x)^(7/2)",x,4,"-1/16*arcsin(cos(x)-sin(x))-1/16*log(cos(x)+sin(x)+sin(2*x)^(1/2))-1/5*cos(x)^5/sin(2*x)^(5/2)+1/4*cos(x)/sin(2*x)^(1/2)"],
["sin(2*x)^(3/2)/sin(x)^5",x,1,"-1/5*csc(x)^5*sin(2*x)^(5/2)"],
["1/cos(x)^3/sin(2*x)^(1/2)",x,2,"4/5*sec(x)*sin(2*x)^(1/2)+1/5*sec(x)^3*sin(2*x)^(1/2)"],
["1/sin(x)/sin(2*x)^(3/2)",x,3,"-2/3*cos(x)/sin(2*x)^(3/2)+4/3*sin(x)/sin(2*x)^(1/2)"],
["cos(x)^3*(cos(2*x)-3*tan(x))/(sin(x)^2-sin(2*x))/sin(2*x)^(5/2)",x,6,"33/32*arctanh(1/2*sin(2*x)^(1/2)/cos(x))-9/16*cos(x)/sin(2*x)^(1/2)-5/24*cos(x)*cot(x)/sin(2*x)^(1/2)+1/20*cos(x)*cot(x)^2/sin(2*x)^(1/2)"],
["(sin(x)/cos(x)^5)^(1/2)",x,5,"2/3*cos(x)*sin(x)*(sec(x)^4*tan(x))^(1/2)"],
["(sin(x)^5/cos(x))^(1/2)",x,13,"3/8*arctan(1/2*(1-cot(x))*csc(x)^2*(sin(x)^4*tan(x))^(1/2)*2^(1/2))*2^(1/2)+3/8*log(cos(x)+sin(x)-cot(x)*csc(x)*2^(1/2)*(sin(x)^4*tan(x))^(1/2))*2^(1/2)-1/2*cot(x)*(sin(x)^4*tan(x))^(1/2)"],
["(sin(x)^2/cos(x)^14)^(1/3)",x,5,"3/5*cos(x)^3*sin(x)*(sec(x)^12*tan(x)^2)^(1/3)+3/11*cos(x)*sin(x)^3*(sec(x)^12*tan(x)^2)^(1/3)"],
["1/(cos(x)^11*sin(x)^13)^(1/4)",x,4,"-4/9*cos(x)^5*sin(x)/(cos(x)^11*sin(x)^13)^(1/4)-8*cos(x)^3*sin(x)^3/(cos(x)^11*sin(x)^13)^(1/4)+4/7*cos(x)*sin(x)^5/(cos(x)^11*sin(x)^13)^(1/4)"],
["(cos(2*x)-sin(2*x)^(1/2))/(cos(x)^3*sin(x))^(1/2)",x,-28,"-log(cos(x)+sin(x)-sec(x)*2^(1/2)*(cos(x)^3*sin(x))^(1/2))*2^(1/2)-sin(2*x)/(cos(x)^3*sin(x))^(1/2)-arcsin(cos(x)-sin(x))*cos(x)*sin(2*x)^(1/2)/(cos(x)^3*sin(x))^(1/2)-arctanh(sin(x))*cos(x)*sin(2*x)^(1/2)/(cos(x)^3*sin(x))^(1/2)"],
["(-2*sin(2*x)+(cos(x)*sin(x)^3)^(1/2))/(-(cos(x)^3*sin(x))^(1/2)+tan(x)^(1/2))",x,66,"2^(1/4)*arccoth(1/2*cos(x)*(sin(x)+cos(x)*2^(1/2))*2^(1/4)/(cos(x)^3*sin(x))^(1/2))-2^(1/4)*arccoth(1/2*(2^(1/2)+tan(x))*2^(1/4)/tan(x)^(1/2))+2^(1/4)*arctan(1/2*cos(x)*(-sin(x)+cos(x)*2^(1/2))*2^(1/4)/(cos(x)^3*sin(x))^(1/2))-2^(1/4)*arctan(1/2*(2^(1/2)-tan(x))*2^(1/4)/tan(x)^(1/2))-2*arccoth(1/2*cos(x)*(cos(x)+sin(x))*2^(1/2)/(cos(x)^3*sin(x))^(1/2))*2^(1/2)-2*arctan(1/2*cos(x)*(cos(x)-sin(x))*2^(1/2)/(cos(x)^3*sin(x))^(1/2))*2^(1/2)+4*csc(x)*sec(x)*(cos(x)^3*sin(x))^(1/2)+1/4*csc(x)^2*log(1+cos(x)^2)*sec(x)^2*(cos(x)^3*sin(x))^(1/2)*(cos(x)*sin(x)^3)^(1/2)+1/2*csc(x)^2*log(sin(x))*sec(x)^2*(cos(x)^3*sin(x))^(1/2)*(cos(x)*sin(x)^3)^(1/2)+4/tan(x)^(1/2)-1/4*csc(x)^2*log(1+cos(x)^2)*(cos(x)*sin(x)^3)^(1/2)*tan(x)^(1/2)+1/2*csc(x)^2*log(sin(x))*(cos(x)*sin(x)^3)^(1/2)*tan(x)^(1/2)"],
["((sin(x)/cos(x)^7)^(1/3)-3*tan(x))/(cos(x)^5*sin(x))^(2/3)",x,13,"-9/10*sin(x)^4/(cos(x)^5*sin(x))^(2/3)-9/4*sec(x)^8*(cos(x)^5*sin(x))^(4/3)+3/2*(cos(x)^5*sin(x))^(1/3)*(sec(x)^6*tan(x))^(1/3)+3/4*(cos(x)^5*sin(x))^(1/3)*tan(x)^2*(sec(x)^6*tan(x))^(1/3)+3/14*(cos(x)^5*sin(x))^(1/3)*tan(x)^4*(sec(x)^6*tan(x))^(1/3)"],
["(1+2*cos(x)^2)^(5/2)*sin(x)",x,5,"-5/24*cos(x)*(1+2*cos(x)^2)^(3/2)-1/6*cos(x)*(1+2*cos(x)^2)^(5/2)-5/32*arcsinh(cos(x)*2^(1/2))*2^(1/2)-5/16*cos(x)*(1+2*cos(x)^2)^(1/2)"],
["cos(x)*(5*cos(x)^2+sin(x)^2)^(5/2)",x,5,"625/32*arcsin(2/5*sin(x)*5^(1/2))+25/24*sin(x)*(5-4*sin(x)^2)^(3/2)+1/6*sin(x)*(5-4*sin(x)^2)^(5/2)+125/16*sin(x)*(5-4*sin(x)^2)^(1/2)"],
["cos(x)*(-cos(x)^2-5*sin(x)^2)^(3/2)",x,5,"3/16*arctan(2*sin(x)/(-1-4*sin(x)^2)^(1/2))+1/4*sin(x)*(-1-4*sin(x)^2)^(3/2)-3/8*sin(x)*(-1-4*sin(x)^2)^(1/2)"],
["sin(x)/(5*cos(x)^2-2*sin(x)^2)^(7/2)",x,4,"1/10*cos(x)/(-2+7*cos(x)^2)^(5/2)-1/15*cos(x)/(-2+7*cos(x)^2)^(3/2)+1/15*cos(x)/(-2+7*cos(x)^2)^(1/2)"],
["cos(x)*cos(2*x)/(2-5*sin(x)^2)^(3/2)",x,3,"2/25*arcsin(1/2*sin(x)*10^(1/2))*5^(1/2)+1/10*sin(x)/(2-5*sin(x)^2)^(1/2)"],
["sin(5*x)/(5*cos(x)^2+9*sin(x)^2)^(5/2)",x,4,"-1/2*arcsin(2/3*cos(x))-55/27*cos(x)/(9-4*cos(x)^2)^(3/2)+295/243*cos(x)/(9-4*cos(x)^2)^(1/2)"],
["cos(x)*cos(2*x)*sin(3*x)/(-5+4*sin(x)^2)^(5/2)",x,4,"-1/4/(-5+4*sin(x)^2)^(3/2)-5/8/(-5+4*sin(x)^2)^(1/2)+1/8*(-5+4*sin(x)^2)^(1/2)"],
["(-2*cos(x)^3*(-1+sin(x))+cos(2*x)*sin(x))/sin(x)^2/(-5+sin(x)^2)^(1/2)",x,18,"2*arctan(cos(x)/(-5+sin(x)^2)^(1/2))-2*arctanh(sin(x)/(-5+sin(x)^2)^(1/2))-1/5*arctan(cos(x)*5^(1/2)/(-5+sin(x)^2)^(1/2))*5^(1/2)-2/5*arctan(1/5*(-5+sin(x)^2)^(1/2)*5^(1/2))*5^(1/2)+2*(-5+sin(x)^2)^(1/2)+2/5*(-5+sin(x)^2)^(1/2)/sin(x)"],
["cos(3*x)/(-(-1+8*cos(x)^2)^(1/2)+(3*cos(x)^2-sin(x)^2)^(1/2))",x,27,"3/4*arcsin(2/3*sin(x)*3^(1/2))-3/4*arctan(sin(x)/(-1+4*cos(x)^2)^(1/2))-3/4*arctan(sin(x)/(-1+8*cos(x)^2)^(1/2))+5/8*arcsin(2/7*sin(x)*14^(1/2))*2^(1/2)-1/2*sin(x)*(-1+4*cos(x)^2)^(1/2)-1/2*sin(x)*(-1+8*cos(x)^2)^(1/2)"],
["(2-3*sin(x)^2)^(3/5)*sin(4*x)",x,5,"5/36*(2-3*sin(x)^2)^(8/5)-20/117*(2-3*sin(x)^2)^(13/5)"],
["cos(x)*cos(2*x)^(1/2)",x,3,"1/4*arcsin(sin(x)*2^(1/2))*2^(1/2)+1/2*sin(x)*cos(2*x)^(1/2)"],
["cos(2*x)^(3/2)*sin(x)",x,5,"-1/4*cos(x)*cos(2*x)^(3/2)-3/16*arctanh(cos(x)*2^(1/2)/cos(2*x)^(1/2))*2^(1/2)+3/8*cos(x)*cos(2*x)^(1/2)"],
["sin(x)/cos(2*x)^(5/2)",x,1,"-1/3*cos(3*x)/cos(2*x)^(3/2)"],
["cos(2*x)^(3/2)/cos(x)^3",x,6,"-5/2*arctan(sin(x)/cos(2*x)^(1/2))+2*arcsin(sin(x)*2^(1/2))*2^(1/2)-1/2*sec(x)*cos(2*x)^(1/2)*tan(x)"],
["(3*sin(x)^3-cos(x)*sin(4*x))/cos(2*x)^(7/2)/csc(x)^2",x,11,"-11/20*cos(x)/cos(2*x)^(3/2)-2/3*cos(x)^3/cos(2*x)^(3/2)+3/10*cos(x)*sin(x)^2/cos(2*x)^(5/2)-1/2*arctanh(cos(x)*2^(1/2)/cos(2*x)^(1/2))*2^(1/2)+63/20*cos(x)/cos(2*x)^(1/2)"],
["(4-5*sec(x)^2)^(3/2)",x,7,"8*arctan(2*tan(x)/(-1-5*tan(x)^2)^(1/2))-7/2*arctan(5^(1/2)*tan(x)/(-1-5*tan(x)^2)^(1/2))*5^(1/2)-5/2*(-1-5*tan(x)^2)^(1/2)*tan(x)"],
["1/(4-5*sec(x)^2)^(3/2)",x,4,"1/8*arctan(2*tan(x)/(-1-5*tan(x)^2)^(1/2))-5/4*tan(x)/(-1-5*tan(x)^2)^(1/2)"],
["(-2*cot(x)^2+sin(x))/(1+5*tan(x)^2)^(3/2)",x,10,"-1/4*arctanh(2*tan(x)/(1+5*tan(x)^2)^(1/2))-1/4*cos(x)/(1+5*tan(x)^2)^(1/2)-5/2*cot(x)/(1+5*tan(x)^2)^(1/2)-1/8*cos(x)*(1+5*tan(x)^2)^(1/2)+9/2*cot(x)*(1+5*tan(x)^2)^(1/2)"],
["(-3+cos(2*x))/cos(x)^4/(4-cot(x)^2)^(1/2)",x,5,"-2/3*(4-cot(x)^2)^(1/2)*tan(x)-1/3*(4-cot(x)^2)^(1/2)*tan(x)^3"],
["(3+sin(x)^2)*tan(x)^3/(-2+cos(x)^2)/(5-4*sec(x)^2)^(3/2)",x,16,"-1/18*arctanh(1/3*(5-4*sec(x)^2)^(1/2)*3^(1/2))*3^(1/2)-1/25*arctanh(1/5*(5-4*sec(x)^2)^(1/2)*5^(1/2))*5^(1/2)-2/15/(5-4*sec(x)^2)^(1/2)"],
["(sec(x)^2-3*(4*sec(x)^2+5*tan(x)^2)^(1/2)*tan(x))/sin(x)^2/(4*sec(x)^2+5*tan(x)^2)^(3/2)",x,10,"-3/4*log(tan(x))+3/8*log(4+9*tan(x)^2)-1/4*cot(x)/(4+9*tan(x)^2)^(1/2)-7/8*tan(x)/(4+9*tan(x)^2)^(1/2)"],
["tan(x)*(1+5*tan(x)^2)^(5/2)",x,7,"-32*arctan(1/2*(1+5*tan(x)^2)^(1/2))+16*(1+5*tan(x)^2)^(1/2)-4/3*(1+5*tan(x)^2)^(3/2)+1/5*(1+5*tan(x)^2)^(5/2)"],
["tan(x)/(1+5*tan(x)^2)^(5/2)",x,6,"1/32*arctan(1/2*(1+5*tan(x)^2)^(1/2))+1/16/(1+5*tan(x)^2)^(1/2)-1/12/(1+5*tan(x)^2)^(3/2)"],
["tan(x)/(a^3+b^3*tan(x)^2)^(1/3)",x,6,"1/2*log(cos(x))/(a^3-b^3)^(1/3)+3/4*log((a^3-b^3)^(1/3)-(a^3+b^3*tan(x)^2)^(1/3))/(a^3-b^3)^(1/3)+1/2*arctan(1/3*(1+2*(a^3+b^3*tan(x)^2)^(1/3)/(a^3-b^3)^(1/3))*3^(1/2))*3^(1/2)/(a^3-b^3)^(1/3)"],
["tan(x)*(1-7*tan(x)^2)^(2/3)",x,7,"2*log(cos(x))+3*log(2-(1-7*tan(x)^2)^(1/3))+2*arctan(1/3*(1+(1-7*tan(x)^2)^(1/3))*3^(1/2))*3^(1/2)+3/4*(1-7*tan(x)^2)^(2/3)"],
["cot(x)/(a^4+b^4*csc(x)^2)^(1/4)",x,6,"-arctan((a^4+b^4*csc(x)^2)^(1/4)/a)/a+arctanh((a^4+b^4*csc(x)^2)^(1/4)/a)/a"],
["cot(x)/(a^4-b^4*csc(x)^2)^(1/4)",x,6,"-arctan((a^4-b^4*csc(x)^2)^(1/4)/a)/a+arctanh((a^4-b^4*csc(x)^2)^(1/4)/a)/a"],
["tan(x)*((1-3*sec(x)^2)^(1/3)*sin(x)^2+3*tan(x)^2)/cos(x)^2/(1-3*sec(x)^2)^(5/6)/(1-(1-3*sec(x)^2)^(1/2))",x,29,"1/4*log(sec(x)^2)-3/2*log(1-(1-3*sec(x)^2)^(1/6))+1/3*log(1-(1-3*sec(x)^2)^(1/2))-(1-3*sec(x)^2)^(1/6)-1/4*(1-3*sec(x)^2)^(2/3)+arctan(1/3*(1+2*(1-3*sec(x)^2)^(1/6))*3^(1/2))*3^(1/2)+1/2/(1-(1-3*sec(x)^2)^(1/2))"],
["(-cos(2*x)+2*tan(x)^2)/cos(x)^2/(tan(x)*tan(2*x))^(3/2)",x,-22,"2*arctanh(tan(x)/(tan(x)*tan(2*x))^(1/2))-11/8*arctanh(2^(1/2)*tan(x)/(tan(x)*tan(2*x))^(1/2))*2^(1/2)+3/4*tan(x)/(tan(x)*tan(2*x))^(1/2)+1/2*tan(x)/(tan(x)*tan(2*x))^(3/2)+2/3*tan(x)^3/(tan(x)*tan(2*x))^(3/2)"],
["tan(x)/(a^3-b^3*cos(x)^n)^(4/3)",x,7,"-3/a^3/n/(a^3-b^3*cos(x)^n)^(1/3)+1/2*log(cos(x))/a^4-3/2*log(a-(a^3-b^3*cos(x)^n)^(1/3))/a^4/n-arctan(1/3*(a+2*(a^3-b^3*cos(x)^n)^(1/3))/a*3^(1/2))*3^(1/2)/a^4/n"],
["(1+2*cos(x)^9)^(5/6)*tan(x)",x,14,"1/3*arctanh((1+2*cos(x)^9)^(1/6))-1/9*arctanh((1+2*cos(x)^9)^(1/2))-2/15*(1+2*cos(x)^9)^(5/6)+1/9*arctan(1/3*(1-(1+2*cos(x)^9)^(1/3))/(1+2*cos(x)^9)^(1/6)*3^(1/2))*3^(1/2)"],
["cot(x)*sin(x)^9/(2-5*sin(x)^3)^(4/3)",x,4,"4/125/(2-5*sin(x)^3)^(1/3)+2/125*(2-5*sin(x)^3)^(2/3)-1/625*(2-5*sin(x)^3)^(5/3)"],
["tan(x)*(1+(1-8*tan(x)^2)^(1/3))/cos(x)^2/(1-8*tan(x)^2)^(2/3)",x,2,"-3/32*(1+(1-8*tan(x)^2)^(1/3))^2"],
["cot(x)*(1+(1-8*tan(x)^2)^(1/3))/cos(x)^2/(1-8*tan(x)^2)^(2/3)",x,15,"-log(tan(x))+3/2*log(1-(1-8*tan(x)^2)^(1/3))"],
["(5*cos(x)^2-(-1+5*sin(x)^2)^(1/2))*tan(x)/(-1+5*sin(x)^2)^(1/4)/(2+(-1+5*sin(x)^2)^(1/2))",x,14,"2*(-1+5*sin(x)^2)^(1/4)-3/2*arctan(1/2*(-1+5*sin(x)^2)^(1/4)*2^(1/2))*2^(1/2)-1/4*arctanh(1/2*(-1+5*sin(x)^2)^(1/4)*2^(1/2))*2^(1/2)-1/2*(-1+5*sin(x)^2)^(1/4)/(2+(-1+5*sin(x)^2)^(1/2))"],
["cos(x)^4*cos(2*x)^(2/3)*tan(x)",x,4,"-3/40*cos(2*x)^(5/3)-3/64*cos(2*x)^(8/3)"],
["sin(x)^6*tan(x)/cos(2*x)^(3/4)",x,-14,"7/4*cos(2*x)^(1/4)-1/5*cos(2*x)^(5/4)+1/36*cos(2*x)^(9/4)+1/2*arctan(1/2*(1-cos(2*x)^(1/2))/cos(2*x)^(1/4)*2^(1/2))*2^(1/2)-1/2*arctanh(1/2*(1+cos(2*x)^(1/2))/cos(2*x)^(1/4)*2^(1/2))*2^(1/2)"],
["(tan(x)*tan(2*x))^(1/2)",x,3,"-arctanh(tan(x)/(tan(x)*tan(2*x))^(1/2))"],
["(cot(2*x)/cot(x))^(1/2)",x,6,"arctan(2^(1/2)*tan(x)/(1-tan(x)^2)^(1/2))-1/2*arcsin(tan(x))*2^(1/2)"],
["1/x^5/(x^2+5)",x,3,"-1/20/x^4+1/50/x^2+1/125*log(x)-1/250*log(x^2+5)"],
["1/x^6/(x^2+5)",x,4,"-1/25/x^5+1/75/x^3-1/125/x-1/625*arctan(1/5*x*5^(1/2))*5^(1/2)"],
["1/x/(x^2-4)^4",x,3,"1/24/(-x^2+4)^3+1/64/(-x^2+4)^2+1/128/(-x^2+4)+1/256*log(x)-1/512*log(-x^2+4)"],
["1/x/(x^2-2)^(5/2)",x,5,"-1/6/(x^2-2)^(3/2)+1/8*arctan(1/2*(x^2-2)^(1/2)*2^(1/2))*2^(1/2)+1/4/(x^2-2)^(1/2)"],
["(x^2-10)^(5/2)/x",x,6,"-10/3*(x^2-10)^(3/2)+1/5*(x^2-10)^(5/2)-100*arctan(1/10*(x^2-10)^(1/2)*10^(1/2))*10^(1/2)+100*(x^2-10)^(1/2)"],
["x^(1+2*n)",x,1,"1/2*x^(2+2*n)/(1+n)"],
["x^7/(x^2-5)^3",x,3,"1/2*x^2-125/4/(-x^2+5)^2+75/2/(-x^2+5)+15/2*log(-x^2+5)"],
["(3*x^5-4*x^3)/(x^2-1)^5",x,4,"1/8/(-x^2+1)^4+1/3/(-x^2+1)^3-3/4/(-x^2+1)^2"],
["x^3*(x^2+1)^(9/14)",x,3,"-7/23*(x^2+1)^(23/14)+7/37*(x^2+1)^(37/14)"],
["x^5/(x^2-4)^(13/6)",x,3,"-48/7/(x^2-4)^(7/6)-24/(x^2-4)^(1/6)+3/5*(x^2-4)^(5/6)"],
["1/(2*x^2+1)^(5/2)",x,2,"1/3*x/(2*x^2+1)^(3/2)+2/3*x/(2*x^2+1)^(1/2)"],
["1/(x^2-2*x-1)^(5/2)",x,2,"1/6*(1-x)/(x^2-2*x-1)^(3/2)+1/6*(-1+x)/(x^2-2*x-1)^(1/2)"],
["1/x^4/(x^2-8)^(3/2)",x,3,"1/24/x^3/(x^2-8)^(1/2)+1/48/x/(x^2-8)^(1/2)-1/192*x/(x^2-8)^(1/2)"],
["(x^2+5)^2/x^(13/3)",x,2,"-15/2/x^(10/3)-15/2/x^(4/3)+3/2*x^(2/3)"],
["1/x^7/(x^2+1)^3",x,3,"-1/6/x^6+3/4/x^4-3/x^2-1/4/(x^2+1)^2-2/(x^2+1)-10*log(x)+5*log(x^2+1)"],
["((x^2+2)/x^2)^(7/9)/(x^2+2)^(3/2)",x,3,"-9/10*(1+2/x^2)^(7/9)*x/(x^2+2)^(1/2)"],
["x^4/(-x^2+10^(1/2))^(9/2)",x,2,"1/70*x^5*10^(1/2)/(-x^2+10^(1/2))^(7/2)+1/175*x^5/(-x^2+10^(1/2))^(5/2)"],
["x^2/(-x^2+3)^(3/2)",x,2,"-arcsin(1/3*x*3^(1/2))+x/(-x^2+3)^(1/2)"],
["(-x^2+25)^(3/2)/x^4",x,3,"-1/3*(-x^2+25)^(3/2)/x^3+arcsin(1/5*x)+(-x^2+25)^(1/2)/x"],
["1/(-2*x^2+1)^(7/2)",x,3,"1/5*x/(-2*x^2+1)^(5/2)+4/15*x/(-2*x^2+1)^(3/2)+8/15*x/(-2*x^2+1)^(1/2)"],
["1/(-x^2+6*x-7)^(5/2)",x,2,"1/6*(-3+x)/(-x^2+6*x-7)^(3/2)+1/6*(-3+x)/(-x^2+6*x-7)^(1/2)"],
["(-2*x^2-2*x+1)^3",x,2,"x-3*x^2+2*x^3+4*x^4-12/5*x^5-4*x^6-8/7*x^7"],
["(-1+5*x)*(x^2-x-1)^2",x,2,"-x+3/2*x^2+11/3*x^3-3/4*x^4-11/5*x^5+5/6*x^6"],
["(1+3*x)/(2*x^2-8*x+1)^(5/2)",x,2,"1/6*(1-2*x)/(2*x^2-8*x+1)^(3/2)-2/21*(2-x)/(2*x^2-8*x+1)^(1/2)"],
["(8*x^3-8*x-1)/(-4*x^2+2*x+1)^(5/2)",x,2,"-4/15*(1+x)/(-4*x^2+2*x+1)^(3/2)+1/75*(-7-122*x)/(-4*x^2+2*x+1)^(1/2)"],
["x^2*cos(x)^5",x,9,"16/15*x*cos(x)+8/45*x*cos(x)^3+2/25*x*cos(x)^5-298/225*sin(x)+8/15*x^2*sin(x)+4/15*x^2*cos(x)^2*sin(x)+1/5*x^2*cos(x)^4*sin(x)+76/675*sin(x)^3-2/125*sin(x)^5"],
["x^3*sin(x)^3",x,8,"40/9*x*cos(x)-2/3*x^3*cos(x)-40/9*sin(x)+2*x^2*sin(x)+2/9*x*cos(x)*sin(x)^2-1/3*x^3*cos(x)*sin(x)^2-2/27*sin(x)^3+1/3*x^2*sin(x)^3"],
["x^2*sin(x)^6",x,13,"-245/1152*x+5/48*x^3+245/1152*cos(x)*sin(x)-5/16*x^2*cos(x)*sin(x)+5/16*x*sin(x)^2+65/1728*cos(x)*sin(x)^3-5/24*x^2*cos(x)*sin(x)^3+5/48*x*sin(x)^4+1/108*cos(x)*sin(x)^5-1/6*x^2*cos(x)*sin(x)^5+1/18*x*sin(x)^6"],
["x^2*cos(x)*sin(x)^2",x,4,"4/9*x*cos(x)-4/9*sin(x)+2/9*x*cos(x)*sin(x)^2-2/27*sin(x)^3+1/3*x^2*sin(x)^3"],
["x*cos(x)^4/sin(x)^2",x,6,"-3/4*x^2-1/4*cos(x)^2-x*cot(x)+log(sin(x))-1/2*x*cos(x)*sin(x)"],
["x*sin(x)^3/cos(x)^4",x,5,"5/6*arctanh(sin(x))-x*sec(x)+1/3*x*sec(x)^3-1/6*sec(x)*tan(x)"],
["x*sin(x)/cos(x)^3",x,3,"1/2*x*sec(x)^2-1/2*tan(x)"],
["x*sin(x)^3/cos(x)",x,8,"1/4*x+1/2*I*x^2-x*log(1+exp(2*I*x))+1/2*I*polylog(2,-exp(2*I*x))-1/4*cos(x)*sin(x)-1/2*x*sin(x)^2"],
["x*sin(x)^3/cos(x)^3",x,7,"1/2*x-1/2*I*x^2+x*log(1+exp(2*I*x))-1/2*I*polylog(2,-exp(2*I*x))-1/2*tan(x)+1/2*x*tan(x)^2"],
["(2*x+sin(2*x))/(cos(x)+x*sin(x))^2",x,2,"2/(1+cot(x)/x)"],
["x^2/(x*cos(x)-sin(x))^2",x,3,"-cot(x)+x*csc(x)/(x*cos(x)-sin(x))"],
["a^(m*x)*b^(n*x)",x,2,"a^(m*x)*b^(n*x)/(m*log(a)+n*log(b))"],
["(a^x-b^x)^2/(a^x)/(b^x)",x,9,"-2*x+(a^x/(b^x)-b^x/(a^x))/(log(a)-log(b))"],
["-1/exp(x)+exp(x)",x,3,"exp(-x)+exp(x)"],
["(-1/exp(x)+exp(x))^2",x,4,"-1/2/exp(2*x)+1/2*exp(2*x)-2*x"],
["(-1/exp(x)+exp(x))^3",x,3,"1/3/exp(3*x)-3/exp(x)-3*exp(x)+1/3*exp(3*x)"],
["(-1/exp(x)+exp(x))^4",x,4,"-1/4/exp(4*x)+2/exp(2*x)-2*exp(2*x)+1/4*exp(4*x)+6*x"],
["(-1/exp(x)+exp(x))^n",x,4,"-(-1/exp(x)+exp(x))^n*(1-exp(2*x))*hypergeometric([1, 1+1/2*n],[1-1/2*n],exp(2*x))/n"],
["(1/(a^(4*x))-a^(2*x))^3",x,4,"3*x-1/12/(a^(12*x))/log(a)+1/2/(a^(6*x))/log(a)-1/6*a^(6*x)/log(a)"],
["a^(k*x)+a^(l*x)",x,3,"a^(k*x)/k/log(a)+a^(l*x)/l/log(a)"],
["(a^(k*x)+a^(l*x))^2",x,6,"1/2*a^(2*k*x)/k/log(a)+1/2*a^(2*l*x)/l/log(a)+2*a^((k+l)*x)/(k+l)/log(a)"],
["(a^(k*x)+a^(l*x))^3",x,7,"1/3*a^(3*k*x)/k/log(a)+1/3*a^(3*l*x)/l/log(a)+3*a^((2*k+l)*x)/(2*k+l)/log(a)+3*a^((k+2*l)*x)/(k+2*l)/log(a)"],
["(a^(k*x)+a^(l*x))^4",x,8,"1/4*a^(4*k*x)/k/log(a)+1/4*a^(4*l*x)/l/log(a)+3*a^(2*(k+l)*x)/(k+l)/log(a)+4*a^((3*k+l)*x)/(3*k+l)/log(a)+4*a^((k+3*l)*x)/(k+3*l)/log(a)"],
["(a^(k*x)+a^(l*x))^n",x,2,"(1+a^((k-l)*x))*(a^(k*x)+a^(l*x))^n*hypergeometric([1, 1+k*n/(k-l)],[1+l*n/(k-l)],-a^((k-l)*x))/l/n/log(a)"],
["a^(k*x)-a^(l*x)",x,3,"a^(k*x)/k/log(a)-a^(l*x)/l/log(a)"],
["(a^(k*x)-a^(l*x))^2",x,6,"1/2*a^(2*k*x)/k/log(a)+1/2*a^(2*l*x)/l/log(a)-2*a^((k+l)*x)/(k+l)/log(a)"],
["(a^(k*x)-a^(l*x))^3",x,7,"1/3*a^(3*k*x)/k/log(a)-1/3*a^(3*l*x)/l/log(a)-3*a^((2*k+l)*x)/(2*k+l)/log(a)+3*a^((k+2*l)*x)/(k+2*l)/log(a)"],
["(a^(k*x)-a^(l*x))^4",x,8,"1/4*a^(4*k*x)/k/log(a)+1/4*a^(4*l*x)/l/log(a)+3*a^(2*(k+l)*x)/(k+l)/log(a)-4*a^((3*k+l)*x)/(3*k+l)/log(a)-4*a^((k+3*l)*x)/(k+3*l)/log(a)"],
["(a^(k*x)-a^(l*x))^n",x,2,"(1-a^((k-l)*x))*(a^(k*x)-a^(l*x))^n*hypergeometric([1, 1+k*n/(k-l)],[1+l*n/(k-l)],a^((k-l)*x))/l/n/log(a)"],
["1+a^(m*x)",x,2,"x+a^(m*x)/m/log(a)"],
["(1+a^(m*x))^2",x,3,"x+2*a^(m*x)/m/log(a)+1/2*a^(2*m*x)/m/log(a)"],
["(1+a^(m*x))^3",x,3,"x+3*a^(m*x)/m/log(a)+3/2*a^(2*m*x)/m/log(a)+1/3*a^(3*m*x)/m/log(a)"],
["(1+a^(m*x))^4",x,3,"x+4*a^(m*x)/m/log(a)+3*a^(2*m*x)/m/log(a)+4/3*a^(3*m*x)/m/log(a)+1/4*a^(4*m*x)/m/log(a)"],
["(1+a^(m*x))^n",x,2,"-(1+a^(m*x))^(1+n)*hypergeometric([1, 1+n],[2+n],1+a^(m*x))/m/(1+n)/log(a)"],
["1-a^(m*x)",x,2,"x-a^(m*x)/m/log(a)"],
["(1-a^(m*x))^2",x,3,"x-2*a^(m*x)/m/log(a)+1/2*a^(2*m*x)/m/log(a)"],
["(1-a^(m*x))^3",x,3,"x-3*a^(m*x)/m/log(a)+3/2*a^(2*m*x)/m/log(a)-1/3*a^(3*m*x)/m/log(a)"],
["(1-a^(m*x))^4",x,3,"x-4*a^(m*x)/m/log(a)+3*a^(2*m*x)/m/log(a)-4/3*a^(3*m*x)/m/log(a)+1/4*a^(4*m*x)/m/log(a)"],
["(1-a^(m*x))^n",x,2,"-(1-a^(m*x))^(1+n)*hypergeometric([1, 1+n],[2+n],1-a^(m*x))/m/(1+n)/log(a)"],
["1/(b+a*exp(n*x))",x,4,"x/b-log(b+a*exp(n*x))/b/n"],
["exp(x)/(b+a*exp(3*x))",x,7,"1/2*log(b^(1/3)+a^(1/3)*exp(x))/a^(1/3)/b^(2/3)-1/6*log(b+a*exp(3*x))/a^(1/3)/b^(2/3)-1/3*arctan(1/3*(b^(1/3)-2*a^(1/3)*exp(x))/b^(1/3)*3^(1/2))/a^(1/3)/b^(2/3)*3^(1/2)"],
["(-1+exp(x))/(1+exp(x))",x,3,"-x+2*log(1+exp(x))"],
["exp(4*x)/(1-2*exp(2*x)+3*exp(4*x))",x,5,"1/12*log(1-2*exp(2*x)+3*exp(4*x))-1/12*arctan(1/2*(1-3*exp(2*x))*2^(1/2))*2^(1/2)"],
["(exp(x)+exp(5*x))/(-1+exp(x)-exp(2*x)+exp(3*x))",x,6,"exp(x)+1/2*exp(2*x)-arctan(exp(x))+log(1-exp(x))-1/2*log(1+exp(2*x))"],
["exp(n*x)*(a+b*exp(n*x))^(r/s)",x,2,"(a+b*exp(n*x))^((r+s)/s)*s/b/n/(r+s)"],
["(1-2*exp(1/3*x))^(1/4)",x,6,"12*(1-2*exp(1/3*x))^(1/4)-6*arctan((1-2*exp(1/3*x))^(1/4))-6*arctanh((1-2*exp(1/3*x))^(1/4))"],
["(a+b*exp(n*x))^(r/s)",x,2,"-(a+b*exp(n*x))^((r+s)/s)*s*hypergeometric([1, (r+s)/s],[2+r/s],1+b*exp(n*x)/a)/a/n/(r+s)"],
["exp(x)/(a^2+exp(2*x))^(1/2)",x,3,"arctanh(exp(x)/(a^2+exp(2*x))^(1/2))"],
["exp(x)/(-a^2+exp(2*x))^(1/2)",x,3,"arctanh(exp(x)/(-a^2+exp(2*x))^(1/2))"],
["exp(3/4*x)/(-2+exp(3/4*x))/(-2+exp(3/4*x)+exp(3/2*x))^(1/2)",x,3,"2/3*arctanh(1/4*(2-5*exp(3/4*x))/(-2+exp(3/4*x)+exp(3/2*x))^(1/2))"],
["(-3+exp(7*x))^(2/3)/exp(2*x)",x,4,"1/6*(-3+exp(7*x))^(5/3)*hypergeometric([1, 29/21],[5/7],1/3*exp(7*x))/exp(2*x)"],
["exp(2*x)/(3-exp(1/2*x))^(3/4)",x,3,"-216*(3-exp(1/2*x))^(1/4)+216/5*(3-exp(1/2*x))^(5/4)-8*(3-exp(1/2*x))^(9/4)+8/13*(3-exp(1/2*x))^(13/4)"],
["x^3/exp(1/2*x)",x,4,"-96/exp(1/2*x)-48*x/exp(1/2*x)-12*x^2/exp(1/2*x)-2*x^3/exp(1/2*x)"],
["1/exp(1/2*x)/x^3",x,3,"-1/2/exp(1/2*x)/x^2+1/4/exp(1/2*x)/x+1/8*Ei(-1/2*x)"],
["a^(3*x)*x^2",x,3,"2/27*a^(3*x)/log(a)^3-2/9*a^(3*x)*x/log(a)^2+1/3*a^(3*x)*x^2/log(a)"],
["exp(x^2)*x*(x^2+1)",x,5,"1/2*exp(x^2)*x^2"],
["x/(exp(-x)+exp(x))^2",x,6,"1/2*x-1/2*x/(1+exp(2*x))-1/4*log(1+exp(2*x))"],
["exp(x)*(-x^2-x+1)/(-x^2+1)^(1/2)",x,1,"exp(x)*(-x^2+1)^(1/2)"],
["cos(2*x)/exp(3*x)",x,1,"-3/13*cos(2*x)/exp(3*x)+2/13*sin(2*x)/exp(3*x)"],
["(cos(1/2*x)+sin(1/2*x))/exp(x)^(1/3)",x,6,"-30/13*cos(1/2*x)/exp(x)^(1/3)+6/13*sin(1/2*x)/exp(x)^(1/3)"],
["cos(3/2*x)/(3^(3*x))^(1/4)",x,2,"-4/3*cos(3/2*x)*log(3)/(3^(3*x))^(1/4)/(4+log(3)^2)+8/3*sin(3/2*x)/(3^(3*x))^(1/4)/(4+log(3)^2)"],
["exp(m*x)*cos(x)^2",x,2,"2*exp(m*x)/m/(m^2+4)+exp(m*x)*m*cos(x)^2/(m^2+4)+2*exp(m*x)*cos(x)*sin(x)/(m^2+4)"],
["exp(m*x)*sin(x)^3",x,2,"-6*exp(m*x)*cos(x)/(m^4+10*m^2+9)+6*exp(m*x)*m*sin(x)/(m^4+10*m^2+9)-3*exp(m*x)*cos(x)*sin(x)^2/(m^2+9)+exp(m*x)*m*sin(x)^3/(m^2+9)"],
["cos(1/3*x)^3/exp(x)^(1/2)",x,3,"-48/65*cos(1/3*x)/exp(x)^(1/2)-2/5*cos(1/3*x)^3/exp(x)^(1/2)+32/65*sin(1/3*x)/exp(x)^(1/2)+4/5*cos(1/3*x)^2*sin(1/3*x)/exp(x)^(1/2)"],
["exp(2*x)*cos(x)^2*sin(x)^2",x,4,"1/16*exp(2*x)-1/80*exp(2*x)*cos(4*x)-1/40*exp(2*x)*sin(4*x)"],
["exp(3*x)*cos(3/2*x)^2*sin(3/2*x)^2",x,4,"1/24*exp(3*x)-1/120*exp(3*x)*cos(6*x)-1/60*exp(3*x)*sin(6*x)"],
["exp(m*x)*tan(x)^2",x,5,"-exp(m*x)/m+4*exp((2*I+m)*x)*hypergeometric([2, 1-1/2*I*m],[2-1/2*I*m],-exp(2*I*x))/(2*I+m)"],
["exp(m*x)/sin(x)^2",x,1,"-4*exp((2*I+m)*x)*hypergeometric([2, 1-1/2*I*m],[2-1/2*I*m],exp(2*I*x))/(2*I+m)"],
["exp(m*x)/cos(x)^3",x,2,"8*exp((3*I+m)*x)*hypergeometric([3, 3/2-1/2*I*m],[5/2-1/2*I*m],-exp(2*I*x))/(3*I+m)"],
["exp(x)/(1+cos(x))",x,2,"(1-I)*exp((1+I)*x)*hypergeometric([2, 1-I],[2-I],-exp(I*x))"],
["exp(x)/(1-cos(x))",x,2,"(-1+I)*exp((1+I)*x)*hypergeometric([2, 1-I],[2-I],exp(I*x))"],
["exp(x)/(1+sin(x))",x,2,"(-1+I)*exp((1-I)*x)*hypergeometric([2, 1+I],[2+I],-I/exp(I*x))"],
["exp(x)/(1-sin(x))",x,2,"(1+I)*exp((1+I)*x)*hypergeometric([2, 1-I],[2-I],-I*exp(I*x))"],
["exp(x)*(1-sin(x))/(1-cos(x))",x,1,"-exp(x)*sin(x)/(1-cos(x))"],
["exp(x)*(1+sin(x))/(1-cos(x))",x,7,"(-2+2*I)*exp((1+I)*x)*hypergeometric([2, 1-I],[2-I],exp(I*x))+exp(x)*sin(x)/(1-cos(x))"],
["exp(x)*(1+sin(x))/(1+cos(x))",x,1,"exp(x)*sin(x)/(1+cos(x))"],
["exp(x)*(1-sin(x))/(1+cos(x))",x,7,"(2-2*I)*exp((1+I)*x)*hypergeometric([2, 1-I],[2-I],-exp(I*x))-exp(x)*sin(x)/(1+cos(x))"],
["exp(x)*(1-cos(x))/(1-sin(x))",x,7,"(2+2*I)*exp((1+I)*x)*hypergeometric([2, 1-I],[2-I],-I*exp(I*x))-exp(x)*cos(x)/(1-sin(x))"],
["exp(x)*(1+cos(x))/(1-sin(x))",x,1,"exp(x)*cos(x)/(1-sin(x))"],
["exp(x)*(1+cos(x))/(1+sin(x))",x,7,"(-2-2*I)*exp((1+I)*x)*hypergeometric([2, 1-I],[2-I],I*exp(I*x))+exp(x)*cos(x)/(1+sin(x))"],
["exp(x)*(1-cos(x))/(1+sin(x))",x,1,"-exp(x)*cos(x)/(1+sin(x))"],
["exp(x)*x*cos(x)",x,4,"1/2*exp(x)*x*cos(x)-1/2*exp(x)*sin(x)+1/2*exp(x)*x*sin(x)"],
["exp(x)*x^2*sin(x)",x,11,"-1/2*exp(x)*cos(x)+exp(x)*x*cos(x)-1/2*exp(x)*x^2*cos(x)-1/2*exp(x)*sin(x)+1/2*exp(x)*x^2*sin(x)"],
["x^2*sin(x)/exp(3*x)",x,11,"-13/250*cos(x)/exp(3*x)-3/25*x*cos(x)/exp(3*x)-1/10*x^2*cos(x)/exp(3*x)-9/250*sin(x)/exp(3*x)-4/25*x*sin(x)/exp(3*x)-3/10*x^2*sin(x)/exp(3*x)"],
["exp(1/2*x)*x^2*cos(x)^3",x,-31,"-132/125*exp(1/2*x)*cos(x)+18/25*exp(1/2*x)*x*cos(x)+48/185*exp(1/2*x)*x^2*cos(x)+2/37*exp(1/2*x)*x^2*cos(x)^3-428/50653*exp(1/2*x)*cos(3*x)+70/1369*exp(1/2*x)*x*cos(3*x)-24/125*exp(1/2*x)*sin(x)-24/25*exp(1/2*x)*x*sin(x)+96/185*exp(1/2*x)*x^2*sin(x)+12/37*exp(1/2*x)*x^2*cos(x)^2*sin(x)-792/50653*exp(1/2*x)*sin(3*x)-24/1369*exp(1/2*x)*x*sin(3*x)"],
["exp(2*x)*x^2*sin(4*x)",x,11,"1/250*exp(2*x)*cos(4*x)+2/25*exp(2*x)*x*cos(4*x)-1/5*exp(2*x)*x^2*cos(4*x)-11/500*exp(2*x)*sin(4*x)+3/50*exp(2*x)*x*sin(4*x)+1/10*exp(2*x)*x^2*sin(4*x)"],
["exp(1/2*x)*x^2*cos(x)*sin(x)^2",x,24,"-44/125*exp(1/2*x)*cos(x)+6/25*exp(1/2*x)*x*cos(x)+1/10*exp(1/2*x)*x^2*cos(x)+428/50653*exp(1/2*x)*cos(3*x)-70/1369*exp(1/2*x)*x*cos(3*x)-1/74*exp(1/2*x)*x^2*cos(3*x)-8/125*exp(1/2*x)*sin(x)-8/25*exp(1/2*x)*x*sin(x)+1/5*exp(1/2*x)*x^2*sin(x)+792/50653*exp(1/2*x)*sin(3*x)+24/1369*exp(1/2*x)*x*sin(3*x)-3/37*exp(1/2*x)*x^2*sin(3*x)"],
["cosh(x)",x,1,"sinh(x)"],
["sinh(x)",x,1,"cosh(x)"],
["tanh(x)",x,1,"log(cosh(x))"],
["coth(x)",x,1,"log(sinh(x))"],
["sech(x)",x,1,"arctan(sinh(x))"],
["csch(x)",x,1,"-arctanh(cosh(x))"],
["cosh(x)^2",x,2,"1/2*x+1/2*cosh(x)*sinh(x)"],
["sinh(x)^5",x,2,"cosh(x)-2/3*cosh(x)^3+1/5*cosh(x)^5"],
["tanh(x)^4",x,3,"x-tanh(x)-1/3*tanh(x)^3"],
["csch(x)^3",x,2,"1/2*arctanh(cosh(x))-1/2*coth(x)*csch(x)"],
["1/cosh(x)^5",x,3,"3/8*arctan(sinh(x))+3/8*sech(x)*tanh(x)+1/4*sech(x)^3*tanh(x)"],
["tanh(x)^5/sech(x)^4",x,4,"-cosh(x)^2+1/4*cosh(x)^4+log(cosh(x))"],
["sech(x)^(3/4)*tanh(x)^5",x,3,"-4/3*sech(x)^(3/4)+8/11*sech(x)^(11/4)-4/19*sech(x)^(19/4)"],
["1/(a+b*cosh(x))",x,2,"2*arctanh((a-b)*tanh(1/2*x)/(a^2-b^2)^(1/2))/(a^2-b^2)^(1/2)"],
["1/(1+cosh(x))^2",x,2,"1/3*sinh(x)/(1+cosh(x))^2+1/3*sinh(x)/(1+cosh(x))"],
["1/(a+b*tanh(x))",x,2,"a*x/(a^2-b^2)-b*log(a*cosh(x)+b*sinh(x))/(a^2-b^2)"],
["1/(a^2+b^2*cosh(x)^2)",x,2,"arctanh(a*tanh(x)/(a^2+b^2)^(1/2))/a/(a^2+b^2)^(1/2)"],
["1/(a^2-b^2*cosh(x)^2)",x,2,"arctanh(a*tanh(x)/(a^2-b^2)^(1/2))/a/(a^2-b^2)^(1/2)"],
["1/(1-sinh(x)^4)",x,3,"1/4*arctanh(2^(1/2)*tanh(x))*2^(1/2)+1/2*tanh(x)"],
["(cosh(x)^3-sinh(x)^3)/(cosh(x)^3+sinh(x)^3)",x,5,"-4/9*arctan(1/3*(1-2*tanh(x))*3^(1/2))*3^(1/2)-1/3/(1+tanh(x))"],
["cosh(x)*cosh(2*x)*cosh(3*x)",x,5,"1/4*x+1/8*sinh(2*x)+1/16*sinh(4*x)+1/24*sinh(6*x)"],
["cosh(3/2*x)*sinh(x)*sinh(5/2*x)",x,5,"-1/4*x+1/8*sinh(2*x)-1/12*sinh(3*x)+1/20*sinh(5*x)"],
["cosh(x)*(-cosh(2*x)+tanh(x))/(sinh(x)^2+sinh(2*x))/sinh(2*x)^(1/2)",x,8,"1/6*arctan(sinh(x)/sinh(2*x)^(1/2))+arctan(sech(x)*(cosh(x)*sinh(x))^(1/2))*2^(1/2)-1/3*arctanh(sech(x)*(cosh(x)*sinh(x))^(1/2))*2^(1/2)+cosh(x)/sinh(2*x)^(1/2)"],
["sinh(x)/(-9+4*cosh(x)^2)^(5/2)",x,3,"-1/27*cosh(x)/(-9+4*cosh(x)^2)^(3/2)+2/243*cosh(x)/(-9+4*cosh(x)^2)^(1/2)"],
["sinh(x)^2*sinh(2*x)/(1-sinh(x)^2)^(3/2)",x,5,"2/(1-sinh(x)^2)^(1/2)+2*(1-sinh(x)^2)^(1/2)"],
["cosh(x)/cosh(2*x)^(1/2)",x,2,"1/2*arcsinh(sinh(x)*2^(1/2))*2^(1/2)"],
["x*tanh(x)^2",x,3,"1/2*x^2+log(cosh(x))-x*tanh(x)"],
["x*coth(x)^2",x,3,"1/2*x^2-x*coth(x)+log(sinh(x))"],
["(x+cosh(x)+sinh(x))/(cosh(x)-sinh(x))",x,13,"-exp(x)+1/2*exp(2*x)+exp(x)*x"],
["(x+cosh(x)+sinh(x))/(1+cosh(x))",x,8,"x-(1-x)*tanh(1/2*x)"],
["exp(2*x)/sinh(x)^4",x,3,"8/3*exp(6*x)/(1-exp(2*x))^3"],
["1/exp(2*x)/cosh(x)^4",x,3,"-8/3/(1+exp(2*x))^3"],
["exp(x)/(cosh(x)-sinh(x))",x,2,"1/2*exp(2*x)"],
["exp(m*x)/(cosh(x)+sinh(x))",x,3,"exp((-1+m)*x)/(-1+m)"],
["exp(x)/(cosh(x)+sinh(x))",x,2,"x"],
["exp(x)/(1-cosh(x))",x,4,"-2/(1-exp(x))-2*log(1-exp(x))"],
["exp(x)*(1+sinh(x))/(1+cosh(x))",x,3,"exp(x)+2/(1+exp(x))"],
["exp(x)*(1-sinh(x))/(1-cosh(x))",x,3,"exp(x)-2/(1-exp(x))"],
["x^m*log(x)",x,1,"-x^(1+m)/(1+m)^2+x^(1+m)*log(x)/(1+m)"],
["x^m*log(x)^2",x,2,"2*x^(1+m)/(1+m)^3-2*x^(1+m)*log(x)/(1+m)^2+x^(1+m)*log(x)^2/(1+m)"],
["log(x)^2/x^(5/2)",x,2,"-16/27/x^(3/2)-8/9*log(x)/x^(3/2)-2/3*log(x)^2/x^(3/2)"],
["(b*x+a)*log(x)",x,2,"-a*x-1/4*b*x^2+a*x*log(x)+1/2*b*x^2*log(x)"],
["(b*x+a)^3*log(x)",x,4,"-a^3*x-3/4*a^2*b*x^2-1/3*a*b^2*x^3-1/16*b^3*x^4-1/4*a^4*log(x)/b+1/4*(b*x+a)^4*log(x)/b"],
["-1-8*log(x)^2+3*log(x)^3",x,6,"-35*x+34*x*log(x)-17*x*log(x)^2+3*x*log(x)^3"],
["(x^4+1)*(1-2*log(x)+log(x)^3)",x,13,"-3*x+169/625*x^5+4*x*log(x)-44/125*x^5*log(x)-3*x*log(x)^2-3/25*x^5*log(x)^2+x*log(x)^3+1/5*x^5*log(x)^3"],
["1/x^3/log(x)^4",x,5,"-4/3*Ei(-2*log(x))-1/3/x^2/log(x)^3+1/3/x^2/log(x)^2-2/3/x^2/log(x)"],
["log(x)/(b*x+a)",x,2,"log(x)*log(1+b*x/a)/b+polylog(2,-b*x/a)/b"],
["log(x)/(b*x+a)^2",x,2,"x*log(x)/a/(b*x+a)-log(b*x+a)/a/b"],
["log(x)^n/x",x,2,"log(x)^(1+n)/(1+n)"],
["(a+b*log(x))^n/x",x,2,"(a+b*log(x))^(1+n)/b/(1+n)"],
["1/x/(a+b*log(x))",x,2,"log(a+b*log(x))/b"],
["1/x/((a+b*log(x))^n)",x,2,"(a+b*log(x))^(1-n)/b/(1-n)"],
["1/x/(a^2+log(x)^2)^(1/2)",x,3,"arctanh(log(x)/(a^2+log(x)^2)^(1/2))"],
["1/x/(-a^2+log(x)^2)^(1/2)",x,3,"arctanh(log(x)/(-a^2+log(x)^2)^(1/2))"],
["1/x/(a^2-log(x)^2)^(1/2)",x,3,"arctan(log(x)/(a^2-log(x)^2)^(1/2))"],
["1/x/log(x)/(a^2+log(x)^2)^(1/2)",x,4,"-arctanh((a^2+log(x)^2)^(1/2)/a)/a"],
["1/x/log(x)/(a^2-log(x)^2)^(1/2)",x,4,"-arctanh((a^2-log(x)^2)^(1/2)/a)/a"],
["1/x/log(x)/(-a^2+log(x)^2)^(1/2)",x,4,"arctan((-a^2+log(x)^2)^(1/2)/a)/a"],
["log(log(x))/x",x,1,"-log(x)+log(x)*log(log(x))"],
["log(log(x))^2/x",x,3,"2*log(x)-2*log(x)*log(log(x))+log(x)*log(log(x))^2"],
["log(log(x))^3/x",x,4,"-6*log(x)+6*log(x)*log(log(x))-3*log(x)*log(log(x))^2+log(x)*log(log(x))^3"],
["log(log(x))^4/x",x,5,"24*log(x)-24*log(x)*log(log(x))+12*log(x)*log(log(x))^2-4*log(x)*log(log(x))^3+log(x)*log(log(x))^4"],
["log(log(x))^n/x",x,3,"gamma(1+n,-log(log(x)))*log(log(x))^n/((-log(log(x)))^n)"],
["cot(x)/log(sin(x))",x,3,"log(log(sin(x)))"],
["(1/cos(x)+cos(x))*tan(x)",x,3,"-cos(x)+sec(x)"],
["log(cosh(x))*sinh(x)",x,2,"-cosh(x)+cosh(x)*log(cosh(x))"],
["log(cosh(x))*tanh(x)",x,2,"1/2*log(cosh(x))^2"],
["log(x-(x^2+1)^(1/2))",x,2,"x*log(x-(x^2+1)^(1/2))+(x^2+1)^(1/2)"],
["log(-1+x)/x^3",x,3,"1/2/x+1/2*log(1-x)-1/2*log(-1+x)/x^2-1/2*log(x)"],
["(-1/exp(x)+exp(x))*log(1+exp(2*x))",x,8,"-2*exp(x)+log(1+exp(2*x))/exp(x)+exp(x)*log(1+exp(2*x))"],
["exp(3/2*x)*log(-1+exp(x))",x,6,"-4/3*exp(1/2*x)-4/9*exp(3/2*x)+4/3*arctanh(exp(1/2*x))+2/3*exp(3/2*x)*log(-1+exp(x))"],
["cos(x)^3*log(sin(x))",x,4,"-sin(x)+log(sin(x))*sin(x)+1/9*sin(x)^3-1/3*log(sin(x))*sin(x)^3"],
["log(tan(x))/cos(x)^4",x,4,"-tan(x)+log(tan(x))*tan(x)-1/9*tan(x)^3+1/3*log(tan(x))*tan(x)^3"],
["log(cos(1/2*x))/(1+cos(x))",x,4,"-1/2*x+log(cos(1/2*x))*sin(x)/(1+cos(x))+tan(1/2*x)"],
["cos(x)*log(sin(x))/(1+cos(x))^2",x,6,"-2/3*x-1/9*sin(x)/(1+cos(x))^2+8/9*sin(x)/(1+cos(x))-1/3*log(sin(x))*sin(x)/(1+cos(x))^2+2/3*log(sin(x))*sin(x)/(1+cos(x))"],
["arccos(x)^2/x^5",x,5,"-1/12/x^2-1/4*arccos(x)^2/x^4+1/3*log(x)+1/6*arccos(x)*(-x^2+1)^(1/2)/x^3+1/3*arccos(x)*(-x^2+1)^(1/2)/x"],
["x^2*arcsin(x)^2",x,5,"-4/9*x-2/27*x^3+1/3*x^3*arcsin(x)^2+4/9*arcsin(x)*(-x^2+1)^(1/2)+2/9*x^2*arcsin(x)*(-x^2+1)^(1/2)"],
["x^3*arctan(x)^2",x,10,"1/12*x^2+1/2*x*arctan(x)-1/6*x^3*arctan(x)-1/4*arctan(x)^2+1/4*x^4*arctan(x)^2-1/3*log(x^2+1)"],
["arctan(x)^2/x^5",x,13,"-1/12/x^2-1/6*arctan(x)/x^3+1/2*arctan(x)/x+1/4*arctan(x)^2-1/4*arctan(x)^2/x^4-2/3*log(x)+1/3*log(x^2+1)"],
["x^3*arccsc(x)^2",x,5,"1/12*x^2+1/4*x^4*arccsc(x)^2+1/3*log(x)+1/3*x*arccsc(x)*(1-1/x^2)^(1/2)+1/6*x^3*arccsc(x)*(1-1/x^2)^(1/2)"],
["arcsec(x)^4/x^5",x,10,"-3/128/x^4-45/128/x^2-45/128*arcsec(x)^2+3/16*arcsec(x)^2/x^4+9/16*arcsec(x)^2/x^2+3/32*arcsec(x)^4-1/4*arcsec(x)^4/x^4-3/32*arcsec(x)*(1-1/x^2)^(1/2)/x^3-45/64*arcsec(x)*(1-1/x^2)^(1/2)/x+1/4*arcsec(x)^3*(1-1/x^2)^(1/2)/x^3+3/8*arcsec(x)^3*(1-1/x^2)^(1/2)/x"],
["arcsin(x)*(-x^2+1)^(1/2)",x,3,"-1/4*x^2+1/4*arcsin(x)^2+1/2*x*arcsin(x)*(-x^2+1)^(1/2)"],
["arccos(x)*(-x^2+1)^(1/2)",x,3,"1/4*x^2-1/4*arccos(x)^2+1/2*x*arccos(x)*(-x^2+1)^(1/2)"],
["x*arccos(x)*(-x^2+1)^(1/2)",x,2,"-1/3*x+1/9*x^3-1/3*(-x^2+1)^(3/2)*arccos(x)"],
["(-x^2+1)^(3/2)*arcsin(x)",x,6,"-5/16*x^2+1/16*x^4+1/4*x*(-x^2+1)^(3/2)*arcsin(x)+3/16*arcsin(x)^2+3/8*x*arcsin(x)*(-x^2+1)^(1/2)"],
["x*(-x^2+1)^(3/2)*arcsin(x)",x,3,"1/5*x-2/15*x^3+1/25*x^5-1/5*(-x^2+1)^(5/2)*arcsin(x)"],
["x^3*(-x^2+1)^(3/2)*arccos(x)",x,4,"-2/35*x-1/105*x^3+8/175*x^5-1/49*x^7-1/5*(-x^2+1)^(5/2)*arccos(x)+1/7*(-x^2+1)^(7/2)*arccos(x)"],
["(-x^2+1)^(3/2)*arccos(x)/x",x,10,"4/3*x-1/9*x^3+1/3*(-x^2+1)^(3/2)*arccos(x)+2*I*arccos(x)*arctan(x+I*(-x^2+1)^(1/2))-I*polylog(2,-I*(x+I*(-x^2+1)^(1/2)))+I*polylog(2,I*(x+I*(-x^2+1)^(1/2)))+arccos(x)*(-x^2+1)^(1/2)"],
["(-x^2+1)^(3/2)*arcsin(x)/x^6",x,4,"-1/20/x^4+1/5/x^2-1/5*(-x^2+1)^(5/2)*arcsin(x)/x^5+1/5*log(x)"],
["x^2*arcsin(x)/(-x^2+1)^(1/2)",x,3,"1/4*x^2+1/4*arcsin(x)^2-1/2*x*arcsin(x)*(-x^2+1)^(1/2)"],
["x^4*arcsin(x)/(-x^2+1)^(1/2)",x,5,"3/16*x^2+1/16*x^4+3/16*arcsin(x)^2-3/8*x*arcsin(x)*(-x^2+1)^(1/2)-1/4*x^3*arcsin(x)*(-x^2+1)^(1/2)"],
["x*arcsin(x)/(-x^2+1)^(3/2)",x,2,"-arctanh(x)+arcsin(x)/(-x^2+1)^(1/2)"],
["x*arccos(x)/(-x^2+1)^(3/2)",x,2,"arctanh(x)+arccos(x)/(-x^2+1)^(1/2)"],
["arcsin(x)/(-x^2+1)^(5/2)",x,4,"-1/6/(-x^2+1)+1/3*x*arcsin(x)/(-x^2+1)^(3/2)+1/3*log(-x^2+1)+2/3*x*arcsin(x)/(-x^2+1)^(1/2)"],
["x^3*arcsin(x)/(-x^2+1)^(3/2)",x,3,"-x-arctanh(x)+arcsin(x)/(-x^2+1)^(1/2)+arcsin(x)*(-x^2+1)^(1/2)"],
["arcsin(x)/x/(-x^2+1)^(3/2)",x,8,"-2*arcsin(x)*arctanh(I*x+(-x^2+1)^(1/2))-arctanh(x)+I*polylog(2,-I*x-(-x^2+1)^(1/2))-I*polylog(2,I*x+(-x^2+1)^(1/2))+arcsin(x)/(-x^2+1)^(1/2)"],
["arccos(x)/x^4/(-x^2+1)^(1/2)",x,4,"1/6/x^2-2/3*log(x)-1/3*arccos(x)*(-x^2+1)^(1/2)/x^3-2/3*arccos(x)*(-x^2+1)^(1/2)/x"],
["x*arccos(x)^2*(-x^2+1)^(1/2)",x,5,"2/27*(-x^2+1)^(3/2)-2/3*x*arccos(x)+2/9*x^3*arccos(x)-1/3*(-x^2+1)^(3/2)*arccos(x)^2+4/9*(-x^2+1)^(1/2)"],
["x^2*arcsin(x)^3/(-x^2+1)^(1/2)",x,6,"-3/8*x^2-3/8*arcsin(x)^2+3/4*x^2*arcsin(x)^2+1/8*arcsin(x)^4+3/4*x*arcsin(x)*(-x^2+1)^(1/2)-1/2*x*arcsin(x)^3*(-x^2+1)^(1/2)"],
["x*arctan(x)/(x^2+1)^2",x,3,"1/4*x/(x^2+1)+1/4*arctan(x)-1/2*arctan(x)/(x^2+1)"],
["x*arctan(x)/(x^2+1)^3",x,4,"1/16*x/(x^2+1)^2+3/32*x/(x^2+1)+3/32*arctan(x)-1/4*arctan(x)/(x^2+1)^2"],
["x^2*arctan(x)/(x^2+1)",x,4,"x*arctan(x)-1/2*arctan(x)^2-1/2*log(x^2+1)"],
["x^3*arctan(x)/(x^2+1)",x,8,"-1/2*x+1/2*arctan(x)+1/2*x^2*arctan(x)+1/2*I*arctan(x)^2+arctan(x)*log(2/(1+I*x))+1/2*I*polylog(2,1-2/(1+I*x))"],
["x^2*arctan(x)/(x^2+1)^2",x,2,"-1/4/(x^2+1)-1/2*x*arctan(x)/(x^2+1)+1/4*arctan(x)^2"],
["x^3*arctan(x)/(x^2+1)^2",x,8,"-1/4*x/(x^2+1)-1/4*arctan(x)+1/2*arctan(x)/(x^2+1)-1/2*I*arctan(x)^2-arctan(x)*log(2/(1+I*x))-1/2*I*polylog(2,1-2/(1+I*x))"],
["x^5*arctan(x)/(x^2+1)^2",x,17,"-1/2*x+1/4*x/(x^2+1)+3/4*arctan(x)+1/2*x^2*arctan(x)-1/2*arctan(x)/(x^2+1)+I*arctan(x)^2+2*arctan(x)*log(2/(1+I*x))+I*polylog(2,1-2/(1+I*x))"],
["(x^2+1)*arctan(x)/x^2",x,8,"-arctan(x)/x+x*arctan(x)+log(x)-log(x^2+1)"],
["(x^2+1)*arctan(x)/x^5",x,3,"-1/12/x^3-1/4/x-1/4*(x^2+1)^2*arctan(x)/x^4"],
["(x^2+1)^2*arctan(x)/x^5",x,12,"-1/12/x^3-3/4/x-3/4*arctan(x)-1/4*arctan(x)/x^4-arctan(x)/x^2+1/2*I*polylog(2,-I*x)-1/2*I*polylog(2,I*x)"],
["arctan(x)/x^2/(x^2+1)",x,7,"-arctan(x)/x-1/2*arctan(x)^2+log(x)-1/2*log(x^2+1)"],
["arctan(x)^2/x^3",x,8,"-arctan(x)/x-1/2*arctan(x)^2-1/2*arctan(x)^2/x^2+log(x)-1/2*log(x^2+1)"],
["(x^2+1)*arctan(x)^2/x^5",x,11,"-1/12/x^2-1/6*arctan(x)/x^3-1/2*arctan(x)/x-1/4*(x^2+1)^2*arctan(x)^2/x^4+1/3*log(x)-1/6*log(x^2+1)"],
["x^3*arctan(x)^2/(x^2+1)^3",x,4,"-1/32/(x^2+1)^2+5/32/(x^2+1)+1/8*x^3*arctan(x)/(x^2+1)^2+3/16*x*arctan(x)/(x^2+1)-3/32*arctan(x)^2+1/4*x^4*arctan(x)^2/(x^2+1)^2"],
["arcsec(x)*(x^2-1)^(1/2)/x^2",x,9,"-(x^2)^(1/2)/x^2-2*I*arcsec(x)*arctan(1/x+I*(1-1/x^2)^(1/2))*(x^2)^(1/2)/x+I*polylog(2,-I*(1/x+I*(1-1/x^2)^(1/2)))*(x^2)^(1/2)/x-I*polylog(2,I*(1/x+I*(1-1/x^2)^(1/2)))*(x^2)^(1/2)/x-arcsec(x)*(x^2-1)^(1/2)/x"],
["(x^2-1)^(5/2)*arccsc(x)/x^3",x,11,"-5/3*(x^2-1)^(3/2)*arccsc(x)/x^2+1/3*(x^2-1)^(5/2)*arccsc(x)/x^2+1/12*(2*x^4+3)/x/(x^2)^(1/2)-5/4*x*arccsc(x)^2/(x^2)^(1/2)-7/3*x*log(x)/(x^2)^(1/2)-5/2*arccsc(x)*(x^2-1)^(1/2)/x^2"],
["arcsec(x)*(x^2-1)^(1/2)/x^4",x,4,"1/3*(x^2-1)^(3/2)*arcsec(x)/x^3+1/3/(x^2)^(1/2)-1/9/x^2/(x^2)^(1/2)"],
["arcsec(x)/(x^2-1)^(5/2)",x,4,"5/6*arccoth((x^2)^(1/2))-1/3*x*arcsec(x)/(x^2-1)^(3/2)+1/6*(x^2)^(1/2)/(-x^2+1)+2/3*x*arcsec(x)/(x^2-1)^(1/2)"],
["x^2*arcsec(x)/(x^2-1)^(5/2)",x,4,"-1/6*arccoth((x^2)^(1/2))-1/3*x^3*arcsec(x)/(x^2-1)^(3/2)+1/6*(x^2)^(1/2)/(-x^2+1)"],
["x^3*arcsec(x)/(x^2-1)^(5/2)",x,5,"-1/3*arcsec(x)/(x^2-1)^(3/2)+1/6*x/(-x^2+1)/(x^2)^(1/2)-2/3*x*log(x)/(x^2)^(1/2)+1/3*x*log(x^2-1)/(x^2)^(1/2)-arcsec(x)/(x^2-1)^(1/2)"],
["x^6*arcsec(x)/(x^2-1)^(5/2)",x,16,"-13/6*arccoth((x^2)^(1/2))-5/6*x^3*arcsec(x)/(x^2-1)^(3/2)+1/2*x^5*arcsec(x)/(x^2-1)^(3/2)+1/6*(-3*x^2+2)*(x^2)^(1/2)/(x^2-1)-5*I*arcsec(x)*arctan(1/x+I*(1-1/x^2)^(1/2))*(x^2)^(1/2)/x+5/2*I*polylog(2,-I*(1/x+I*(1-1/x^2)^(1/2)))*(x^2)^(1/2)/x-5/2*I*polylog(2,I*(1/x+I*(1-1/x^2)^(1/2)))*(x^2)^(1/2)/x-5/2*x*arcsec(x)/(x^2-1)^(1/2)"],
["arcsec(x)/x^2/(x^2-1)^(1/2)",x,2,"1/(x^2)^(1/2)+arcsec(x)*(x^2-1)^(1/2)/x"],
["arccsc(x)/x^2/(x^2-1)^(5/2)",x,5,"-11/6*arccoth((x^2)^(1/2))+1/3*(8*x^4-12*x^2+3)*arccsc(x)/x/(x^2-1)^(3/2)-1/(x^2)^(1/2)+1/6*(x^2)^(1/2)/(x^2-1)"],
["arccsc(x)^4/x^2/(x^2-1)^(1/2)",x,6,"24*arccsc(x)/(x^2)^(1/2)-4*arccsc(x)^3/(x^2)^(1/2)+24*(x^2-1)^(1/2)/x-12*arccsc(x)^2*(x^2-1)^(1/2)/x+arccsc(x)^4*(x^2-1)^(1/2)/x"],
["(x^2-1)^(3/2)*arcsec(x)^2/x^5",x,11,"-1/4*(x^2-1)^(3/2)*arcsec(x)^2/x^4-3/8*arcsec(x)/x/(x^2)^(1/2)+9/64*x*arcsec(x)/(x^2)^(1/2)+1/8*(x^2-1)^2*arcsec(x)/x^3/(x^2)^(1/2)+1/8*x*arcsec(x)^3/(x^2)^(1/2)+1/64*(17*x^2-2)*(x^2-1)^(1/2)/x^4-3/8*arcsec(x)^2*(x^2-1)^(1/2)/x^2"],
["arcsec(x)^3*(x^2-1)^(1/2)/x^4",x,8,"-2/9*(x^2-1)^(3/2)*arcsec(x)/x^3+1/3*(x^2-1)^(3/2)*arcsec(x)^3/x^3+2/27*(-21*x^2+1)/x^2/(x^2)^(1/2)+2/3*arcsec(x)^2/(x^2)^(1/2)+1/3*(x^2-1)*arcsec(x)^2/x^2/(x^2)^(1/2)-4/3*arcsec(x)*(x^2-1)^(1/2)/x"],
["arcsin(((-a+x)/(a+x))^(1/2))",x,-8,"(a+x)*arcsin(((-a+x)/(a+x))^(1/2))-a*2^(1/2)*((-a+x)/(a+x))^(1/2)/(a/(a+x))^(1/2)"],
["arctan(((-a+x)/(a+x))^(1/2))",x,4,"x*arctan(((-a+x)/(a+x))^(1/2))-a*arctanh(((-a+x)/(a+x))^(1/2))"],
["arctan(x)/(1+x)^3",x,5,"-1/4/(1+x)-1/2*arctan(x)/(1+x)^2+1/4*log(1+x)-1/8*log(x^2+1)"],
["-arctan(a-x)/(a+x)",x,5,"arctan(a-x)*log(2/(1-I*(a-x)))-arctan(a-x)*log(-2*(a+x)/(I-2*a)/(1-I*(a-x)))-1/2*I*polylog(2,1-2/(1-I*(a-x)))+1/2*I*polylog(2,1+2*(a+x)/(I-2*a)/(1-I*(a-x)))"],
["arcsin((-x^2+1)^(1/2))/(-x^2+1)^(1/2)",x,2,"-1/2*arcsin((-x^2+1)^(1/2))^2*(x^2)^(1/2)/x"],
["x*arctan((x^2+1)^(1/2))/(x^2+1)^(1/2)",x,2,"-1/2*log(x^2+2)+arctan((x^2+1)^(1/2))*(x^2+1)^(1/2)"],
["arcsin(x)/(1-x)^(5/2)",x,5,"2/3*arcsin(x)/(1-x)^(3/2)-1/6*arctanh(1/2*2^(1/2)*(1+x)^(1/2))*2^(1/2)-1/3*(1+x)^(1/2)/(1-x)"],
["(-1+x)^(5/2)*arccsc(x)",x,7,"2/7*(-1+x)^(7/2)*arccsc(x)+4/7*x*arctanh((x^2-1)^(1/2)/(-1+x)^(1/2))/(x^2)^(1/2)+4/105*x*(3*x^2-19*x+83)*(x^2-1)^(1/2)/(-1+x)^(1/2)/(x^2)^(1/2)"],
["arcsin(sinh(x))*sech(x)^4",x,5,"-2/3*arcsin(1/2*cosh(x)*2^(1/2))+1/6*sech(x)*(1-sinh(x)^2)^(1/2)+arcsin(sinh(x))*tanh(x)-1/3*arcsin(sinh(x))*tanh(x)^3"],
["arccot(cosh(x))*cosh(x)/sinh(x)^4",x,6,"1/6*coth(x)-1/3*arccot(cosh(x))*csch(x)^3+1/12*arctanh(1/2*2^(1/2)*tanh(x))*2^(1/2)"],
["exp(x)*arcsin(tanh(x))",x,5,"exp(x)*arcsin(tanh(x))-cosh(x)*log(1+exp(2*x))*(sech(x)^2)^(1/2)"]]
